commit 5d664f5d1ae6e1a1514c5739d808d50dd9267550
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 5 14:25:44 2017 -0500

    Prepare 3.18.12

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit fdd49cd8beddf0c9b76724d50013749fedd25ad6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 5 14:17:47 2017 -0500

    Adblocker must not block main resource during redirects
    
    https://bugzilla.gnome.org/show_bug.cgi?id=787011

 embed/web-extension/ephy-web-extension.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 3e38ef29c5fbbaccc1bda7c10c793b3c8c05af7b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jul 24 15:50:14 2017 -0500

    window: Pass address from embed to security popover
    
    It's wrong to try to use the address from the title widget here, because
    the user could edit it to say whatever he wants, and it will crash if
    there is no text in the location entry. Instead, get the address from
    the web view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=785338

 src/ephy-window.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 003380dea1ea77e057741fa46c7c1d0020be0fdd
Author: Christian Hergert <chergert@redhat.com>
Date:   Thu Apr 6 16:22:00 2017 -0700

    web-extension: fix NULL or empty string check
    
    We need to compare against the character, not the pointer which
    is done immediately to the left of this comparison.

 embed/web-extension/ephy-web-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9114b5858376b36a679c678829a086cce3ccc458
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 5 12:16:07 2017 -0500

    Fix EphyHistoryService
    
    Accidentally deleted initialization of priv when backporting
    aaf8763d6615185faebde926ce7084437489f344
    
    https://bugzilla.gnome.org/show_bug.cgi?id=787316

 lib/history/ephy-history-service.c | 1 +
 1 file changed, 1 insertion(+)

commit d1f9edf31aa6f3b93e4ca3bf91b87382af10bdd5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Mar 4 13:28:19 2017 -0600

    embed: avoid memory corruption when clearing top widgets
    
    Don't call remove_from_destroy_list_cb, which modifies the destroy list,
    when already iterating through the list.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=779180

 embed/ephy-embed.c | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

commit 5b9596cef4625749452c88c774925bd0db711103
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Feb 19 11:05:26 2017 -0600

    history-service: Fix write to database in read-only mode
    
    Now that SQLite enforces read-only mode for us, bugs like this will be
    uncovered....
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778649

 lib/history/ephy-history-service-hosts-table.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit aaf8763d6615185faebde926ce7084437489f344
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Feb 19 09:45:32 2017 -0600

    history-service: Fix multiple initialization race conditions
    
    This started out as a project to fix the read-only service test I just
    added. Initializing two history service objects in a row was racy,
    because I needed the first history service to be initialized before
    creating the second one, but there was no way to ensure that. This was
    only an issue for this one test, though; real Epiphany browser mode of
    course only creates one history service, so I assumed it was not a big
    problem.
    
    Fix this first issue using a condition variable to ensure the GObject
    initialization doesn't complete until after the history service has
    actually created the SQLite database.
    
    In doing this, I discovered a second bug. The use of the condition
    variable altered the timing slightly, and caused the history filename
    property to not be set in time when entering the history service thread.
    In fact, it's kind of amazing that the history service ever worked at
    all, because there is absolutely nothing here to guarantee that the
    filename and read-only properties have been initialized prior to
    starting the history service thread. So the database filename could be
    NULL when opening the database, which is a great way to lose all your
    history. Also, it could also be in read-only mode here even if it is
    supposed to be read/write mode, which is going to cause failures after
    today's commits. Fix this by adding a constructed function and starting
    the history thread from there, instead of doing it in init. This means
    that the history thread will not be started until after properties have
    been set. Note that, while I could not reproduce this bug on my machine
    until after adding the condition variable to fix the first bug, that was
    just due to timing and luck; it was already broken before.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778649

 lib/history/ephy-history-service-private.h |  2 ++
 lib/history/ephy-history-service.c         | 52 +++++++++++++++++++++++-------
 tests/ephy-history-test.c                  |  5 ---
 3 files changed, 42 insertions(+), 17 deletions(-)

commit 1c66d445295853631cd2329ed80d1d20460bd614
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Feb 18 22:05:21 2017 -0600

    history-service: Fix leak when clearing all history
    
    Closing the connection is great, but not enough. We're leaking our
    wrapper object.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778649

 lib/history/ephy-history-service.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1c7e776b431929e8251613cfedb2362704f9a0b1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Feb 18 21:28:22 2017 -0600

    history-service: Ensure thread member is initialized before use
    
    We have assertions to ensure that several functions are only ever called
    on the history thread. But the first such assertion, at the top of
    run_history_service_thread, sometimes fails when running the tests. It
    is racy. Use a mutex to fix this.
    
    These assertions are actually executed at runtime for end users, so it's
    surprising that nobody has ever reported a bug about this.
    
    We also need to be sure to initialize the async queue before running the
    history service thread. The mutex is needed as a memory barrier here, so
    it's not possible to remove the mutex by removing the assertions except
    in debug mode, which is something I considered.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778649

 lib/history/ephy-history-service-private.h |  1 +
 lib/history/ephy-history-service.c         | 15 ++++++++++++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit f04a4c9d78d22ba9aa08679c30c9e7d14e5dab3d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Feb 18 20:47:50 2017 -0600

    Fix search provider horribly breaking history service
    
    If the search provider is running, all database transactions will fail
    because the search provider will take a write lock on the database.
    Ouch! This is worth a good string of profanities....
    
    Notably, this causes opening the database to fail if you searched for
    anything in the shell overview in the minute prior to starting Epiphany.
    (One minute is our search provider timeout.) Then no history will ever
    get saved, ever. I think. Something like that.
    
    So, although our history service has read-only mode, it's enforced at
    the history service level, not the SQLite connection level. SQLite
    actually has a read-only mode, which we are not using, and which we need
    to use in the search provider if we want to have any chance of reliably
    saving history.
    
    Accordingly, give EphySQLiteConnection a mode property, to indicate
    whether it is in writable mode or read-only mode. Teach all callers to
    set it properly. Use it, rather than a boolean, when creating the
    EphyHistoryService, since boolean parameters are hard to read at call
    sites. And actually put the underlying SQLite connection in read-only
    mode when set.
    
    Don't open transactions or ever attempt to rollback in read-only mode,
    because that doesn't make any sense. This should never have been
    happening due to the history service level read-only checks, but it
    should be enforced at the SQLite connection level now, too.
    
    Avoid initializing tables when opening the database in read-only mode.
    This is obviously writing to the database, and now that we really have a
    read-only SQLite connection it fails. As it should.
    
    SQLite connection creation will now fail in case the connection is
    read-only and the database does not yet exist; it will no longer be
    created anyway. So handle this case gracefully. It's fine for the
    history service to return nothing in this case. This has the small
    advantage that the history thread will quit immediately after it's
    created in this case, so it's not constantly running if there's no
    history in incognito mode anymore. To check for this condition, we
    expose the underlying SQLite error; previously, only the error message
    was exposed outside of EphySQLiteConnection. Exposing the error isn't
    really necessary or sufficient, though, since it's super generic and we
    have to check if the file actually exists on disk anyway.
    
    Test it. Ensure that a read/write history service functions properly if
    it's running at the same time as a read-only history service. Using two
    read/write services here fails very badly, but when one of the services
    is read-only it works fine.
    
    Also, remove the original read-only service test. It only ever tested
    that creating a read-only history service with an empty history database
    would succeed. And, as I just explained, that fails now.
    
    Lastly, stop running a second history service for the search provider.
    It needed its own once upon a time when the search provider did not run
    an EphyShell instance. That changed when we stopped using the default
    web context, because nothing works without EphyEmbedShell now, as all
    sorts of places need it to get the embed's web context. And since
    EphyEmbedShell runs its own history service, the search provider can
    just use that now instead of running its own separate one.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=778649

 embed/ephy-embed-shell.c           | 10 ++++--
 lib/Makefile.am                    |  3 +-
 lib/ephy-profile-migrator.c        |  2 +-
 lib/ephy-sqlite-connection.c       | 74 ++++++++++++++++++++++++++++++++------
 lib/ephy-sqlite-connection.h       | 13 ++++++-
 lib/history/ephy-history-service.c | 20 +++++++----
 lib/history/ephy-history-service.h |  4 ++-
 src/ephy-search-provider.c         |  9 ++---
 tests/ephy-history-test.c          | 64 ++++++++++++++++++++-------------
 tests/ephy-sqlite-test.c           |  2 +-
 10 files changed, 150 insertions(+), 51 deletions(-)

commit dde0b2b576cb811dd10afe4f25e26fe813ce0269
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Feb 14 22:55:37 2017 -0600

    sqlite-connection: Do not ignore errors when executing commands
    
    This file is so careful to handle errors properly everywhere EXCEPT the
    point where actual SQLite commands are executed. The history database is
    pretty much totally broken right now; having error messages would be
    helpful thank you!

 lib/ephy-sqlite-connection.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit d1d3db843c2c73e5fef732839c9a3c25147a294d
Author: Adrian Perez de Castro <aperez@igalia.com>
Date:   Fri Feb 3 00:54:51 2017 +0200

    uri-tester: Ensure regexps are properly constructed
    
    This adds a few more cases to the escaping done when converting an AdBlock
    non-regepx "simple pattern" from a rule into a GRegex. This patch does the
    following:
    
    - Adds escaping to some of the regexp metacharacters which were not being
      handled: (){}+.|\
    - Adds support for using a vertical bar at the end of a pattern to anchor the
      match at the end.
    - Adds support for using ^ to match a "separator character" (a non-letter,
      non-number, or one of _-.%).
    
    This also adds as much comment lines as code, which in this particular case
    is probably a good thing, so reading the code in the future does not need
    checking each case against the GRegex documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=777714

 embed/web-extension/uri-tester.c | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 2578255dd1971b1d70321f428d33de810dea495f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Feb 3 13:38:57 2017 -0600

    Prepare 3.18.11

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 0f67243b5bba89ee5fa6f762fcc267354e61a615
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Feb 3 13:45:01 2017 -0600

    window: Fix missing return value

 src/ephy-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6225374a94c4e6343fc32cb2426f7b5c076164c3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Feb 2 21:31:46 2017 -0600

    Do not run new migrator if the main profile has been migrated
    
    This is ephy *profile* migrator. It runs on a per-profile basis. i.e.
    each web app runs migrators separately. So this migration step could run
    once for a profile dir, then again far in the future when an old web app
    is opened. But passwords are global state, not stored in the profile dir,
    and we want to run this migration only once. This is tricky to fix, but
    it's easier if we relax the constraint to "never run this migrator if it
    has been run already for the default profile dir." That's because we don't
    really care if a couple web app passwords get converted from insecure to
    secure, which is not a big problem and indicates the user probably never
    uses Epiphany except for web apps anyway. We just don't want all the user's
    passwords to get converted mysteriously because he happens to open a web
    app. So check the migration version for the default profile dir and abort
    if this migrator has already run there. This way we avoid adding a new flag
    file to clutter the profile dir just to check if this migrator has run.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752738

 lib/ephy-profile-migrator.c | 22 ++++++++++++++++++++++
 lib/ephy-profile-utils.c    | 15 ++++++++++++---
 lib/ephy-profile-utils.h    |  2 ++
 3 files changed, 36 insertions(+), 3 deletions(-)

commit b0e4bdf3dbf145d21bb5a2e4c8f27acdb0bf2b36
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Tue Nov 10 08:40:06 2015 +0100

    file-helpers: Add ephy_default_dot_dir()
    
    It always returns the main default dot dir, no matter what the current
    profile is. This is needed because some private profiles could need to
    use the default dot dir, for example, web applications.

 lib/ephy-file-helpers.c | 17 ++++++++++++++---
 lib/ephy-file-helpers.h |  1 +
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 8c0b67b6b37e7d48f373a27429a91b66fd77e28f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Feb 2 19:51:15 2017 -0600

    form-auth-data: Properly normalize URI when accessing secret service
    
    I've mishandled this issue pretty badly. Incredibly, my previous patch,
    which was intended to ensure we always normalize URIs to security
    origins when working with form auth data, only fixed use of the form
    auth data cache. It didn't actually fix any use of the secret service
    itself. Fix that.
    
    This commit notably removes support for mailman passwords, which is
    making the code way too complicated and conflicts with the goal of
    storing only security origins and not full URIs in the secret service.
    
    Note: this normalization is way better than what we were doing before.
    In particular, it incidentally fixes odd bugs like the URI framgment,
    even the empty fragment #, being sufficient to trick our password
    manager into storing separate passwords, so this should also make the
    password filling significantly more reliable than it used to be. (Unless
    you need per-URI passwords without a username, i.e. mailman passwords,
    in which case you're just out of luck, sorry!)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752738

 lib/ephy-form-auth-data.c | 68 ++++++++++++++---------------------------------
 1 file changed, 20 insertions(+), 48 deletions(-)

commit f67485276d134bad40da1a428468433fed7c1844
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Feb 1 21:43:01 2017 -0600

    Fix impedance mismatch between web extension and form auth data cache
    
    Using just host is not sufficient, we need to have protocol and port as
    well for matching based on security origin to work properly.
    
    Unfortunately the existing code here was full of subtle errors: the
    parameters named "uri" were actually passed hostnames from the web
    extension, and not URIs at all. The code only worked as long as that
    assumption held, but I broke it because I expected the URI parameters to
    actually contain URIs. So fix this. Really pass URIs and not hostnames,
    and properly convert them to security origins.
    
    Thanks to Hussam for reporting this bug so quickly after it was
    introduced. (As well as lots of other bugs in the past that I've rarely
    credited him for in commit messages.)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752738

 embed/web-extension/ephy-web-extension.c | 24 ++++++++++--------------
 lib/ephy-form-auth-data.c                | 31 +++++++++++++++++--------------
 2 files changed, 27 insertions(+), 28 deletions(-)

commit eac0e129624b0b2dbfc35f9f632c8f74ee6b247a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Feb 1 11:32:32 2017 -0600

    Add profile migrator to migrate insecure passwords
    
    All previously-saved passwords will now only be available to https://
    origins. Users will have to manually enter their passwords once again in
    order to save them separately for an insecure origin.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752738

 lib/ephy-profile-migrator.c | 76 +++++++++++++++++++++++++++++++++++++++++++++
 lib/ephy-profile-utils.h    |  2 +-
 lib/ephy-uri-helpers.c      | 24 ++++++++++++++
 lib/ephy-uri-helpers.h      |  1 +
 4 files changed, 102 insertions(+), 1 deletion(-)

commit dc8be0251f9ba61500c1dcc22c45de18b8539001
Author: Diego Escalante Urrelo <diegoe@igalia.com>
Date:   Wed Jan 8 10:39:15 2014 -0500

    e-profile-migrator: update web-apps .desktop files Category
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672574

 lib/ephy-profile-migrator.c | 36 ++++++++++++++++++++++++++++++++++++
 lib/ephy-profile-utils.h    |  2 +-
 2 files changed, 37 insertions(+), 1 deletion(-)

commit 4f5b3f39adef8a5795180b2d25b0358a7004602c
Author: Diego Escalante Urrelo <diegoe@igalia.com>
Date:   Wed Mar 28 04:20:51 2012 -0500

    e-web-app-utils: use Categories in desktop file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672574

 lib/ephy-web-app-utils.c | 1 +
 1 file changed, 1 insertion(+)

commit 2961d01934176463520e539e68f63863ad2686cd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 29 19:33:48 2016 -0600

    form-auth: Store passwords for security origins, not hosts
    
    This prevents an active MITM attacker from enumerating all your saved
    passwords. The attacker will now only be able to access passwords saved
    on http:// sites. That's by design, though; users are now warned when
    focusing insecure password forms and should think twice before saving
    such passwords.
    
    Unfortunately this does introduce a migration issue, in that no
    previously-saved passwords will be available on https:// websites
    anymore, and all previously-saved passwords will still be enumerable by
    attackers. I'm not sure how to handle migration. We might be able to
    handle it nicely by using the history service to guess whether a
    password should be migrated from http:// to https://, but that is not a
    simple project.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752738

 lib/ephy-form-auth-data.c | 34 +++++++++++++++-------------------
 src/passwords-dialog.c    | 24 ++++++++++++++----------
 2 files changed, 29 insertions(+), 29 deletions(-)

commit b2d9e52c68c44398930741a1cbd8b4624b44a9ea
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 29 12:54:43 2016 -0600

    uri-helpers: Add function to convert URI to security origin

 lib/ephy-uri-helpers.c | 25 ++++++++++++++++++++++++-
 lib/ephy-uri-helpers.h |  2 ++
 2 files changed, 26 insertions(+), 1 deletion(-)

commit 36903a126863e58b2be96bb3c74e7ecfd2352105
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Dec 27 18:39:30 2016 -0600

    Prepare 3.18.10

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit e2682919393143088a4e0475fd33b7618d686a97
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 18 12:01:35 2016 -0600

    uri-tester: process patterns synchronously at startup
    
    Currently the URI tester loads filters and patterns asynchronously,
    which is racy as it means ads will sometimes not be blocked when a new
    web process is loading its first page. Filter processing must always
    complete before the first resource is requested, so do it synchronously.
    
    This is already fixed in a better way on the master branch, so this
    commit is for backports only.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=775736

 embed/web-extension/uri-tester.c | 111 ++++++++++++---------------------------
 1 file changed, 34 insertions(+), 77 deletions(-)

commit 162fd89e99f7a00fa88a536d33924d3e22245ec5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 18 10:56:07 2016 -0600

    window: fix alt-left/right keyboard shortcuts
    
    The call to gdk_keymap_translate_keyboard_state doesn't seem to really
    do much here, except change the way we have to test for Ctrl+Shift+T by
    consuming GDK_SHIFT_MASK. In particular, the keyval returned is already
    the keyval in the key event, so that's not really doing anything for us.
    But this is what the GDK documentation tells us to do, so why not. The
    important change here, as shown in the GDK documentation, is to mask out
    all the modifiers except Ctrl/Shift/Mod1 so that we ignore virtual
    modifiers like Meta that we really don't want to see.
    
    This mostly but not completely fixes the bug where the alt-left/right
    shortcuts for back/forward stop working. It fixes the regression where
    these shortcuts stopped working after I introduced key event filtering.
    It *does not* fix the issue that was originally reported, which is that
    the shortcuts mysteriously stop working sometimes; it cannot fix that
    original bug, because the key event filtering was not added until a
    month after that bug was reported. Hence, I am not closing the issue
    here. Something seems to be wrong in either GTK+ or in mutter, as
    sometimes GTK+ apps stop receiving any input at all; it might or might
    not be related.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772437

 src/ephy-window.c | 74 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 46 insertions(+), 28 deletions(-)

commit 41794b089c1b0fa4d8fc7946efd96df4be8af74f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 22 18:38:01 2016 -0600

    window: Fix key event state comparisons
    
    GDK can set random bits in the state to indicate internal stuff. We have
    to use GDK_MODIFIER_MASK to mask out its reserved values before trying
    to look at the state.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772437

 src/ephy-window.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit d43cb5b43f118c8b1f4b4b45b636716b9af83ac5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 22 07:53:32 2016 -0600

    window: Add alt-left/right to key event blacklist
    
    Seems WebKit always handles these key combinations, breaking our
    back/forward shortcuts.

 src/ephy-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ba06eeb6347675c9bf7bae4a581c0889d2fe1f1b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 20 20:55:58 2016 -0600

    Prepare 3.18.9

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 4766f6698f1878059b4508dcb75ab9a6a223cf1b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 07:21:42 2016 -0500

    session: Add a safety check
    
    Never replace a good session file with one that's known to be broken.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768250

 src/ephy-session.c | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

commit 1278d83dbb2832938f997cea976aefe92bb8a968
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Apr 13 17:05:19 2016 -0500

    snapshot-service: Always return snapshots immediately if available
    
    Return a stale snapshot, then schedule creation of a new snapshot. This
    way, we show a preexisting snapshot even if snapshot creation fails. The
    new snapshot will be used only for future requests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 lib/ephy-snapshot-service.c | 30 +++++++++++++++++++++++++++---
 1 file changed, 27 insertions(+), 3 deletions(-)

commit 799a336266def4bb539f917f68139aaa2950d886
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 29 09:14:47 2016 -0500

    Save the correct thumbnail mtime in the history service
    
    Save the thumbnail mtime when saving thumbnails so it actually reflects
    the mtime embedded in the thumbnail, not the time the page was saved in
    the history service. This regressed in 0433ac9. It's only noticeable now
    due to 9754735, which has resulted in thumbnails regularly disappearing
    from the overview.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 embed/ephy-embed-shell.c    | 19 +++++++++---
 lib/ephy-snapshot-service.c | 71 ++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 76 insertions(+), 14 deletions(-)

commit 878a7ddae083ec6efc06068a459b6006f6010247
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 20 20:21:15 2016 -0600

    Revert "Revert "snapshot-service: Take new snapshots after a restart""
    
    This reverts commit 78bbf3d0645086331c955cec9b9015be1568c5b2.

 embed/ephy-web-view.c       |  19 +++----
 lib/ephy-snapshot-service.c | 117 +++++++++++++++++++++++++++++---------------
 2 files changed, 84 insertions(+), 52 deletions(-)

commit 78523b00eadde51f158f756d21c8083c4261c667
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 16 15:11:42 2016 -0600

    window: add blacklist of events to not deliver to web view
    
    Certain window and tab management shortcuts are reserved by Epiphany and
    will never be delivered to the webpage, even though webpages should in
    general be allowed to override Epiphany shortcuts (e.g. Ctrl+B in Google
    Docs should embolden text and not open the old bookmarks dialog, Ctrl+I
    should italicize text and not open a new incognito window).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764653

 src/ephy-window.c | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit 92a9b280d973fc4cf4b428e9010397f6a39f80f8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 15 20:47:52 2016 -0600

    window: fix web view receiving events twice
    
    The current code propagates the event to the web view, then chains up if
    the web view doesn't handle the event. But chaining up causes GtkWindow
    to propagate the event to the web view yet again. Surely we never want
    to do that, so stop doing it.
    
    I think there must be some other bug here, though, in WebKit, that
    causes WebKit to sometimes do something with the event but then
    propagate anyway, which is wrong. If I'm right, then WebKit is
    unfortunately still broken, but this works around it in Epiphany and is
    the right thing to do anyway, since sending the same event to the web
    view twice is nonsense regardless of whether the web view propagates it
    or not.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764653

 src/ephy-window.c | 85 ++++++++++++-------------------------------------------
 1 file changed, 18 insertions(+), 67 deletions(-)

commit de9501002bc7bdc301c856ff0d4f8675ce7a9206
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu May 8 13:58:40 2014 +0300

    ephy-window: Fix the accelerators for back/forward in RTL
    
    http://bugzilla.gnome.org/show_bug.cgi?id=729726

 src/ephy-window.c | 88 +++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 66 insertions(+), 22 deletions(-)

commit 8e38c53cd3ad8735c2f07bf05ec87e1e1f1a6ddd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 08:35:02 2016 -0500

    web-extension: adblocker should never block the main resource
    
    We had a check for this, but it got broken in do not track mode.

 embed/web-extension/ephy-web-extension.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7e8186f33d59474595ec31d805a504c0cca1eced
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Nov 18 09:40:40 2016 +0100

    Updated Serbian translation

 po/sr.po       | 163 ++++++++++++++++++++++++++++-----------------------------
 po/sr@latin.po | 163 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 160 insertions(+), 166 deletions(-)

commit 9938d148ba995aab321a342d1c3cfd05be64fb6c
Author: Mingye Wang <arthur200126@gmail.com>
Date:   Sat Oct 29 22:21:11 2016 +0800

    Update zh_CN translation

 po/zh_CN.po | 108 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

commit 0859a1d33900e68853222a8f35b017d8bf1781a7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Sep 18 21:22:08 2016 -0500

    Update appdata file

 data/epiphany.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit f0b613db89f27081ee5da9705db8153819c9e6ed
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Sep 18 21:18:39 2016 -0500

    Prepare 3.18.8

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 611ece6ac03caeaad7be1f6c5c1129f80aa2d7f4
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Sep 10 16:46:40 2016 -0500

    Update for WebKitGTK+ 2.14 unstable DOM API/ABI break
    
    There were two API breaks in WebKitDOMDOMTokenList.
    
    Do not provide compatibility with older versions of WebKit, due to the
    several security issues.

 configure.ac                            | 2 +-
 embed/web-extension/ephy-web-overview.c | 6 +-----
 2 files changed, 2 insertions(+), 6 deletions(-)

commit 2b8ac84b471a872f022a6c383c710f134c240096
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 7 22:04:19 2016 -0500

    web-view: limit permission request info bars
    
    Else a web page can fill the browser window with unlimited notification
    permission requests. Limit ourselves to one info bar per permission
    request type, same as we already limit ourselves to one password info
    bar.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764593

 embed/ephy-web-view.c | 59 +++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 43 insertions(+), 16 deletions(-)

commit c259d4924fcee951100c7e82e6041a07f5e8a2f7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Aug 7 21:24:17 2016 -0500

    web-view: properly remove password info bar weak pointer

 embed/ephy-web-view.c | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit bcc8531d62a8e570094a22e96bfbf3f9a3fa0710
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Aug 29 13:42:14 2016 -0500

    web-view: remove outdated assert on error types
    
    Show a proper error page when we receive an unexpected error, instead of
    displaying the error as ASCII text

 embed/ephy-web-view.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 11933540b9d7a96eb622821d53a5aff445da6812
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jun 20 13:53:03 2016 -0500

    Fix ChangeLog generation for srcdir != builddir
    
    And limit size of the changelog file

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 75e7ab311f9b57ac2427c42e6861b11598bfcf36
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Sep 6 00:38:17 2016 -0500

    web-view: set user-content-manager when creating related view
    
    WebKit does not set the WebKitUserContentManager from the related view
    GObject property. The WebKitUserContentManager only gets set
    automatically when using the webkit_web_context_new_with_related_view
    GObject API.
    
    This means all our script message handlers (and also user CSS) were
    broken in related views (views that share the same web process), e.g.
    when using the Add Account feature to switch between multiple Google
    accounts on Google pages.
    
    This is probably also the cause of user complaints that sometimes
    bypassing the unacceptable TLS certificate error page doesn't work.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769627

 embed/ephy-web-view.c | 3 +++
 1 file changed, 3 insertions(+)

commit cb083c6b6ffb11ebda22c479996f16aa917c8326
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Jun 14 09:52:48 2016 -0500

    Revert "title-box: Do not propagate button press events in title mode"
    
    This reverts commit 8ea4d95748073e8cff6b3cab14492e2469ab9db1.

 src/ephy-title-box.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 22099bf1ea23d10c17df7aca8336e9df3bfbb959
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Sat Jun 4 13:15:34 2016 +0000

    Updated Occitan translation

 po/oc.po | 2246 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1178 insertions(+), 1068 deletions(-)

commit 3c850730864a93c41c63c50832bf23883c91abc4
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu May 12 20:04:49 2016 +0000

    Updated Occitan translation

 po/oc.po | 9720 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 6172 insertions(+), 3548 deletions(-)

commit 8ea593d0a26679fcb1d94d25be9d0235a0a67668
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Apr 23 15:45:49 2016 -0500

    Fix build with WebKit trunk

 embed/web-extension/ephy-web-overview.c | 4 ++++
 1 file changed, 4 insertions(+)

commit dd335a635c29be6f3e17d253bee06f4feed9ef02
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 29 11:10:37 2016 -0500

    Prepare 3.18.7

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 78bbf3d0645086331c955cec9b9015be1568c5b2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 29 11:09:27 2016 -0500

    Revert "snapshot-service: Take new snapshots after a restart"
    
    This reverts commit 51d8d547b0260271ac342b350cde3c145e66dc5f.

 embed/ephy-web-view.c       |  19 ++++---
 lib/ephy-snapshot-service.c | 117 +++++++++++++++-----------------------------
 2 files changed, 52 insertions(+), 84 deletions(-)

commit 629e5ce24c854dc26498f4d9d6081b9722c7b11b
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Tue Apr 19 17:32:52 2016 +0000

    Updated Occitan translation

 po/oc.po | 5187 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 3272 insertions(+), 1915 deletions(-)

commit c7d1ac2d6a59a01906277e9c25d17fcf896aa22b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Apr 8 09:19:47 2016 -0500

    Prepare 3.18.6

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 51d8d547b0260271ac342b350cde3c145e66dc5f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 29 20:59:31 2016 -0500

    snapshot-service: Take new snapshots after a restart
    
    The previous commit was correct, but the commit message was not. It
    stated that removing the erroneous check would cause snapshots to be
    taken if the stored snapshot is too old. In fact, removing the check did
    not affect behavior at all -- the check was useless -- and so that did
    nothing to fix our stale snapshot issue.
    
    If the snapshot path is not in memory cache, this is an indication that
    the snapshot is relatively stale (older than the current browsing
    session) and should be taken again. But we cannot use the existing
    snapshot path memory cache as-is, because it is populated not when
    snapshots are taken, but when snapshots are looked up. Augment the cache
    to remember which paths were snapshotted since Epiphany was last
    restarted, and check it to determine whether we're due for a snapshot of
    the current page. Also, remove use of the cache from EphyWebView, since
    that would prevent snapshots from ever being taken.
    
    This really fixes the issue.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 embed/ephy-web-view.c       |  19 +++----
 lib/ephy-snapshot-service.c | 117 +++++++++++++++++++++++++++++---------------
 2 files changed, 84 insertions(+), 52 deletions(-)

commit a7d18ede51470965cd6af2a94d3787af934a4904
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 29 20:12:09 2016 -0500

    Revert "snapshot-service: Update snapshots after one week"
    
    This reverts commit 80ba0ff169d472888389589b143407d56898ea62.
    
    This code has been broken since it was introduced. There are two cases
    where we use the snapshot service:
    
     * From EphyAboutHandler. Here we pass the a time taken from
       EphyHistoryService for the mtime. This check does not seem useful in
       this case, because it is only a query: it can never result in a new
       snapshot being taken to replace the old snapshot.
    
     * From EphyWebView itself, when a new page is loaded (or, until
       recently, when a favicon was acquired for that page). This is the
       only case in which a new snapshot can ever be taken (or updated). In
       this case, we pass the current time for mtime, then the comparison
       current_time - mtime <= SNAPSHOT_UPDATE_THRESHOLD is the same as
       if (0 <= SNAPSHOT_UPDATE_THRESHOLD), and so the snapshots always pass
       the check and are never expired.
    
    Ideally we would reimplement this properly, since one week seems like a
    good amount of time for which to persist snapshots. But this is far from
    straightforward to do. For now, let's just remove this code, causing
    snapshots to be updated at most once per browsing session.
    
    This mitigates the bug where, until recently, we would take snapshots of
    completely white web views, before the pages had rendered; even though
    we no longer take white snapshots, broken snapshots that were taken
    previously currently persist forever until ~/.cache/thumbnails is
    cleared somehow (e.g. by gnome-settings-daemon's housekeeping plugin).
    Now they will be cleared much sooner.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763184

 lib/ephy-snapshot-service.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 59a3fb3de2a49d65e687abb00de8da9a1bebbfbe
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Mar 14 18:21:57 2016 -0500

    Prepare 3.18.5

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 6e20d918bc66a78f8cb3a3a7ec5b77ab6374fe83
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 26 22:06:42 2016 -0600

    web-view: Never request snapshots when favicon is received
    
    It's too soon, it results in us getting completely white snapshots out
    of the snapshot service.
    
    This is hardly a "fix" I am proud of, but it works reliably, at least on
    my machine.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761065

 embed/ephy-web-view.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 9d1adc8540af3ba8a6d70f4ab555a296b79796a3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 27 12:50:11 2016 -0600

    download: Browse to file if it cannot be opened
    
    Instead of failing silently in response to the user's attempts to open a
    download.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610586

 embed/ephy-download.c | 2 ++
 1 file changed, 2 insertions(+)

commit 38c5f57e237162c96b321b222fe76d32920526c5
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu Mar 3 20:19:12 2016 +0000

    Updated Occitan translation

 po/oc.po | 4364 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 2032 insertions(+), 2332 deletions(-)

commit 8ea4d95748073e8cff6b3cab14492e2469ab9db1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Feb 25 21:35:15 2016 -0600

    title-box: Do not propagate button press events in title mode
    
    This is a speculative fix for the problem where clicking at just the
    right spot in the header bar opens the security popover via the security
    indicator in the hidden location entry. I haven't found any good way to
    reproduce this problem, unfortunately, but it happens regularly and I
    think there's a good chance this will fix it.
    
    This works because there's nothing inside the title box that users
    should be allowed to click on when in title mode, except for the
    security indicator, which is handled in this very function.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744307

 src/ephy-title-box.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 0350129b4ceb157e89e0af983ead96fc1c80c219
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Feb 24 01:22:49 2016 +0200

    Focus the new tab when opening a page from history
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762381

 src/ephy-history-window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7d60c90f3b5f1587e2db86fbea037081c47e0516
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Feb 22 11:44:42 2016 +0100

    ephy-session: Save the pending API request URL if EphyWebView address is about:blank
    
    EphyWebView address is NULL (returned as about:blank) between the
    load_url() and the WEBKIT_LOAD_STARTED event, but WebKitWebView knows
    the pending API request URL. So use that to prevent losing the URL if
    the browser is closed before the WEBKIT_LOAD_STARTED event. This usually
    happens when the UI process crashes early, right after the session is
    loaded but before restored pages have started loading.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747860

 src/ephy-session.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit ee9686b35c2347997b0a2cae53549a7332f7c5bf
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 22 09:39:45 2016 -0600

    Fix build

 embed/ephy-embed.c | 1 +
 1 file changed, 1 insertion(+)

commit 44a7e6f32d9a5884105490ee907666158eec35a3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 20 13:29:20 2016 -0600

    embed: set title properly when empty
    
    Otherwise notebook tabs' labels don't get updated when navigating to a
    page without a title (e.g. a text file).
    
    The problem here is we were checking for NULL titles, but not for
    zero-length titles.

 embed/ephy-embed.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 621ad6c565bad6662a0f9a11a846593627df90a5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 15 11:12:19 2016 -0600

    Prepare 3.18.4

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 0fd35b6038fcdebed7ae0c9082c993cde59123ee
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 22:55:45 2016 -0600

    history-service: Chain up in dispose

 lib/history/ephy-history-service.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5dde1af2a5652c0e778efc2aa654fe765ce0a9e3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Feb 9 13:39:40 2016 -0600

    location-entry: Properly normalize URI for cut/copy
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761660

 lib/ephy-uri-helpers.c            | 19 ++++++++++++++++++
 lib/ephy-uri-helpers.h            |  1 +
 lib/widgets/ephy-location-entry.c | 42 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 62 insertions(+)

commit 434df10bbef3fa7fef7a2d334a8e70276be5381d
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 19:35:56 2016 -0600

    Revert "location-entry: Encode URI before copy/paste"
    
    This reverts commit 6a36029a1212d047861d4a00425a2558f086bbc5.

 lib/widgets/ephy-location-entry.c | 43 ---------------------------------------
 1 file changed, 43 deletions(-)

commit 37a4af3778ef058556a620379c77d02259de5c98
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Feb 8 15:25:32 2016 -0600

    web-overview: Don't crash when unexpected thumbnail change is received
    
    Sometimes we receive thumbnail changes for pages that aren't in the
    overview. It's probably a bug, but there don't seem to be any
    user-visible effects, so let's not crash over this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758470

 embed/web-extension/ephy-web-overview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6a36029a1212d047861d4a00425a2558f086bbc5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 6 23:01:23 2016 -0600

    location-entry: Encode URI before copy/paste
    
    The location entry is currently the only place in our UI where it is
    possible to copy a decoded URI. This is basically never what the user
    wants.
    
    I am getting tired of accidentally pasting broken URIs like
    https://build.webkit.org/results/GTK Linux 64-bit Release
    (Tests)/r196216 (13627)/results.html. URIs should be encoded before
    stored in the clipboard. Now I can copy
    https://build.webkit.org/results/GTK%20Linux%2064-bit%20Release%20(Tests)/r196216%20(13627)/results.html
    instead as nature intended.
    
    Of course, if only part of the entry is selected, then it's not a full
    URI and should not be messed with; in this case, just copy it raw.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761660

 lib/widgets/ephy-location-entry.c | 43 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

commit 1a04403c1387673ed841d7c9933580b2085304cc
Author: Lorenzo Tilve <ltilve@igalia.com>
Date:   Tue Dec 29 13:40:27 2015 +0100

    overview: Do not show local files on the overview

 embed/ephy-about-handler.c                    | 1 +
 embed/ephy-embed-shell.c                      | 1 +
 lib/history/ephy-history-service-urls-table.c | 3 +++
 lib/history/ephy-history-types.c              | 1 +
 lib/history/ephy-history-types.h              | 1 +
 5 files changed, 7 insertions(+)

commit 97c2f6c2f83d4d43c6c3a0e2b7bb12734dedc184
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Feb 2 17:44:58 2016 +0100

    Updated Slovenian translation

 po/sl.po | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 5a29b18fed45a98089ab8410cd20be182fb587cc
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 2 11:15:57 2016 +0000

    Updated French translation

 po/fr.po | 315 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 159 insertions(+), 156 deletions(-)

commit 33972e2934394c851b6dde323254f39c9431e8f2
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Tue Jan 26 14:31:37 2016 +0000

    Updated Hungarian translation

 po/hu.po | 334 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 169 insertions(+), 165 deletions(-)

commit fae2e8884a74f98e041e9376e13051df4c04f591
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 22 16:32:04 2016 -0600

    sqlite-statement: Chain up properly in finalize

 lib/ephy-sqlite-statement.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 46eefbc99317a2b9aefb31c1e6659e89973a9655
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jan 22 16:28:55 2016 -0600

    sqlite-connection: chain up properly in finalize

 lib/ephy-sqlite-connection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a0205cba301a07d40edcb50b7a46afc1040220ec
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 19:08:13 2016 -0600

    web-overview: Do not drop thumbnail update requests
    
    When the overview is opened in a new tab, it normally works fine, but
    when the overview is opened in the first tab when starting Epiphany,
    there are no thumbnails for any of the sites: just empty placeholder
    images, at least on my machine. That's not good.
    
    The snapshot service does not have the images ready immediately when
    requested by EphyAboutHandler, so EphyAboutHandler is not able to insert
    them into the overview HTML when it is created. Instead, it inserts a
    placeholder image. Then, when the snapshot service has finished getting
    the thumbnail, it makes a D-Bus call to the web extension to convey the
    file URI for the thumbnail (for each URL in the overview).
    EphyWebOverview replaces the placeholder image with the thumbnail when
    it receives the call.
    
    The problem is the call can occur before WebKit has finished loading the
    overview HTML, in which case the thumbnail changes get dropped and we
    wind up with a bunch of placeholder images. Instead, remember the
    thumbnail change requests as they come in, then apply them all after the
    document has loaded.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758470

 embed/web-extension/ephy-web-overview.c | 53 ++++++++++++++++++++++++++++++++-
 1 file changed, 52 insertions(+), 1 deletion(-)

commit 7260debaa9b7b5405caf1d0944246d146c2e5a33
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jan 18 22:14:41 2016 -0600

    Allow opening .tar.xz files
    
    Really a bad problem that we have a list of MIME types for which using
    the Open button is doomed to fail. A bad problem indeed. Make it seem
    like less of a bad problem by making .tar.xz files work.

 data/mime-types-permissions.xml | 1 +
 1 file changed, 1 insertion(+)

commit 43ca5e30a330b027c5cbc18466d5ec9c3e576a94
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Jan 8 12:54:36 2016 +0200

    [release] 3.18.3

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 64cf5051418e00c791f21e2029490074833947cf
Author: Andika Triwidada <andika@gmail.com>
Date:   Sat Jan 2 13:57:46 2016 +0000

    Updated Indonesian translation

 po/id.po | 319 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 161 insertions(+), 158 deletions(-)

commit 67fb9c20fba89c9b5e9d42f0d3093d9861b5e1fc
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Sat Jan 2 07:00:27 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 331 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 164 insertions(+), 167 deletions(-)

commit 71c0a22880b48ae7e3b04604b11ba1af37dc758a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Dec 26 21:40:11 2015 -0600

    Don't feed crap into a GMemoryInputStream
    
    I haven't analyzed this properly to see what's going on here, but this
    is definitely a bug, as this function is often called with -1 for
    data_length. Thanks, -Wsign-compare.

 embed/ephy-about-handler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f1428f18e4fd99519c494d6f2afd86014b0819ac
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Dec 25 10:23:34 2015 +0100

    Updated Czech translation

 po/cs.po | 623 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 328 insertions(+), 295 deletions(-)

commit e74c215a57cc83a963c34733d558cdf5d41dbc27
Author: Aron Xu <aron@debian.org>
Date:   Wed Dec 23 13:16:02 2015 +0800

    Update Chinese simplified translation

 po/zh_CN.po | 81 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 41 insertions(+), 40 deletions(-)

commit b4dfe8f20b12da43b4ab84a5d1b10f71234a2958
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Dec 18 09:52:18 2015 -0600

    Revert "EphyUriTester: Drop keys/signatures logic"
    
    This reverts commit d694e8d260831caf181d0939fc2e33a0b4480d6a.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759501

 embed/web-extension/uri-tester.c | 113 +++++++++++++++++++++++++++++++++++++--
 1 file changed, 110 insertions(+), 3 deletions(-)

commit c72d1b23ea9dd648d8000e9e66026ec4e9e29e11
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Wed Dec 16 19:46:53 2015 +0000

    Updated Italian translation

 po/it.po | 330 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 165 insertions(+), 165 deletions(-)

commit 277f35c1516572c157e7cf54ca74cc9bcaa12002
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Dec 14 21:54:54 2015 +0000

    Updated Slovak translation

 po/sk.po | 326 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 162 insertions(+), 164 deletions(-)

commit 696cac71e26d9224b3045ddee94b0218d7c90ddd
Author: Bernd Homuth <dev@hmt.im>
Date:   Mon Dec 14 19:02:54 2015 +0000

    Updated German translation

 po/de.po | 321 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 164 insertions(+), 157 deletions(-)

commit cdf4c477095dbe4a3b30f2c110b809bd26371c8e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Dec 13 21:20:50 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 322 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 160 insertions(+), 162 deletions(-)

commit d57a52c60a86e0f5c0000e41f5bfa63a6ba06dd8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Dec 13 20:08:22 2015 +0100

    Updated Slovenian translation

 po/sl.po | 474 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 254 insertions(+), 220 deletions(-)

commit 9f33d1fe5d8fe3555d0963b1d964a6133906bdf2
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sun Dec 13 07:39:25 2015 +0000

    Updated Portuguese translation

 po/pt.po | 330 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 167 insertions(+), 163 deletions(-)

commit 00f54fc48c8d04ca62f2d672d2cbbcdc12e4393e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Dec 11 11:18:25 2015 +0100

    Revert "downloads: Value returned by ephy_download_get_content_type() should not be freed"
    
    This reverts commit 3d1a0d0d1997595cc2a885ac040c729097ee5595.
    
    In Epiphany 3.18, this still needs to be freed. The bug was introduced in f379cfbae025b9c1fe667223cbcbffa893e30c0f after branching for gnome-3-18.

 embed/ephy-download.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3d1a0d0d1997595cc2a885ac040c729097ee5595
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Fri Dec 11 03:40:10 2015 +0800

    downloads: Value returned by ephy_download_get_content_type() should not be freed
    
    ephy_download_get_content_type() was modified to return an existing pointer
    instead of a newly allocated string, so its return value should not be freed
    by the caller.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759200

 embed/ephy-download.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 001b47595c0bb3e0ba301836b88f48e9c8406664
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Dec 11 05:27:31 2015 +0000

    Updated Kazakh translation

 po/kk.po | 320 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 160 insertions(+), 160 deletions(-)

commit 1267a9a43dfb96bb350f0b793ebc426276078bfc
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Thu Dec 10 12:10:17 2015 +0000

    Updated Finnish translation

 po/fi.po | 322 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 160 insertions(+), 162 deletions(-)

commit 14750b7d130a761b9cff69177e6ae1064227637d
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Dec 10 12:24:23 2015 +0100

    [release] 3.18.2

 NEWS         | 9 +++++++++
 configure.ac | 2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 2ed9b3211542e8dac63d631126f4a42ea810f668
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Dec 9 21:47:04 2015 +0000

    Updated Swedish translation

 po/sv.po | 648 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 336 insertions(+), 312 deletions(-)

commit 12bd128070722e67e1819628ea4004ae47d412a8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Dec 9 18:18:29 2015 +0100

    Updated Polish translation

 po/pl.po | 321 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 162 insertions(+), 159 deletions(-)

commit df3502a00d3b1ef2a210fbd749243d978800714e
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Dec 9 13:20:12 2015 +0100

    snapshot-service: do not update cache table from other threads
    
    GLib hash tables are not thread-safe. Use a idle function to
    update the cache from the main thread.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759235

 lib/ephy-snapshot-service.c | 43 +++++++++++++++++++++++++++++++++++++++----
 1 file changed, 39 insertions(+), 4 deletions(-)

commit 696f73eb3673b87523eee263e9cdf8d996f8fd35
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Dec 9 11:47:53 2015 +0100

    about:application: mark "Delete" for translation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759216

 embed/ephy-about-handler.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7917f21a1a9874c0279d41b74f42af1f28dfb689
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Dec 9 10:14:48 2015 +0100

    about:applications: fix the arrangement of title and url
    
    These were upside-down because of a printf messup.

 embed/ephy-about-handler.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd73b652c1ed85728a10c3f12cd3d245e88b04fe
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Tue Dec 8 14:26:13 2015 +0100

    Always allow notification requests when under application mode
    
    It is assumed that if a person creates a web app they are also willing to
    get notifications from that app as they would from any other regular app.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759176

 embed/ephy-web-view.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5483823ae71fc5280e2fda9e85557362debb0c2e
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Nov 20 19:35:49 2015 +0200

    [release] 3.18.1

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit febca2a14bef66ec888d7153f3f1f8e920565f92
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Sat Nov 14 22:19:43 2015 +0800

    Us ... instead of …  for zh_CN

 po/zh_CN.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c10146535681f1c4dd56d1d12e6cae51a9d8b21b
Author: Jeff Bai <jeffbai@aosc.xyz>
Date:   Fri Nov 13 00:09:44 2015 +0800

    update zh_CN translation

 po/zh_CN.po | 839 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 457 insertions(+), 382 deletions(-)

commit d694e8d260831caf181d0939fc2e33a0b4480d6a
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 10 17:43:45 2015 +0000

    EphyUriTester: Drop keys/signatures logic
    
    It seems to be a performance optimization, but it seems to be quite
    premature and resulted in some rules not being handled correctly: in
    particular http://screen.yahoo.com was still broken as the
    exception/whitelisted rule was for some reason skipped by the code
    computing signatures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754954

 embed/web-extension/uri-tester.c | 113 ++-------------------------------------
 1 file changed, 3 insertions(+), 110 deletions(-)

commit af586fd3240162698325d42f8d3e294c9f0c8e8c
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Wed Nov 11 09:47:03 2015 +0000

    EphyUriTester: Handle '@@' whitelisting exception rules
    
    The AdBlockPlus filter language has some special rules that start with
    '@@' and are meant to override some overly matching blocking rules by
    whitelisting those which should succeed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754954

 embed/web-extension/uri-tester.c | 154 +++++++++++++++++++++++++++++----------
 1 file changed, 114 insertions(+), 40 deletions(-)

commit 1069551de7264ab016d9d64bca5f37b596029f8c
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Tue Nov 10 16:59:31 2015 +0000

    EphyUriTester: Escape '[' and ']' when converting patterns to regexps
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754954

 embed/web-extension/uri-tester.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit fd7de6057011fb59d0c0ddd108e2104f2d2016a8
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:   Mon Nov 9 17:10:45 2015 +0000

    EphyUriTester: Ensure "||" rules are anchored at the start
    
    Filter rules beginning with "||" mean that the following expression must
    match (at least partially) the domain.
    
    This means that "||example.com/foo" should match "foo.example.com/foo"
    but not "fooexample.com/foo" nor
    "example.com/bar?redir=example.com/foo" while the current code will
    happily match all of them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754954

 embed/web-extension/uri-tester.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 90a16896ed4b4cb5c8b44594ac35d908431bb76b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Oct 25 22:26:44 2015 -0500

    ephy-file-chooser: Don't show a blank preview widget
    
    The preview widget is initially empty, so don't show it until after an
    image has been selected.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756943

 lib/ephy-file-chooser.c | 1 +
 1 file changed, 1 insertion(+)

commit cdeceb0cda3faeb14254ebbb69d260a3b1013201
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Oct 16 23:18:24 2015 +0300

    Updated Ukrainian translation

 po/uk.po | 497 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 265 insertions(+), 232 deletions(-)

commit ff22f8156b287fe5b3418d40ccbf0c2ca23c6ec7
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Oct 14 10:41:07 2015 +0200

    Updated Basque language

 po/eu.po | 471 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 251 insertions(+), 220 deletions(-)

commit 88dbc322ef6977d67f56c90d66e276eb980cc806
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Oct 2 10:16:28 2015 -0500

    Fix failure to load web extension with -Wl,-z,now
    
    libephymisc.la wasn't linked to its dependencies. This breaks the web
    extension in distros that use full RELRO
    
    http://tk-blog.blogspot.co.at/2009/02/relro-not-so-well-known-memory.html
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755814

 lib/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ad11f7a440f4efca5ab376dd7e3dfc39b6e9e27c
Author: Jérémy Lal <kapouer@melix.org>
Date:   Wed Oct 7 10:50:15 2015 +0200

    Get default browser app info using x-scheme-handler
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750275

 lib/ephy-file-helpers.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 36ef168272ccbb9bd805fb62ae03566ec04004a0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 22 19:50:09 2015 -0500

    Don't warn about unsubmitted changes unless the form has text
    
    You could delete all the text; the form is still modified, but we
    shouldn't warn about it, since you have no data to lose.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668260

 lib/ephy-web-dom-utils.c | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

commit ebbc2351b76fd1644685a800ef0ffb635f92deb2
Author: Georges Basile Stavracas Neto <georges.stavracas@gmail.com>
Date:   Sat Sep 26 09:48:11 2015 -0300

    window: properly propagate keys to the page
    
    Sometimes Epiphany wrongly steals the keyboard events
    when they were supposed to be handled by the web view.
    This is very clear on text editor pages such as Google
    Drive's documents, where we can't set e.g. bold text
    using Ctrl + B shortcut.
    
    Fix that by trying to propagate events with the form of
    (Ctrl|Alt|Shift)+letter to the focused widget.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=113449

 src/ephy-window.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 39efde6540a6b24d804f9676e2f330a26d9f1baf
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Sep 22 10:53:26 2015 +0300

    [release] 3.18.0

 NEWS         | 12 ++++++++++++
 configure.ac |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 68fe7cd0ae0cc965c122fc7b1ef0e2f6089c49d2
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Mon Sep 21 18:50:42 2015 +0300

    ephy-completion-model: Make it possible not to use formatting markup
    
    Since the completion model is used in the search provider as well,
    which doesn't need the markup and also doesn't initialize GTK+,
    we need to ensure that the completion model can still be used
    without it.
    
    Definitely not the best approach but safe enough for .0 release.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755341

 src/ephy-completion-model.c        | 33 +++++++++++++++++++++++++++------
 src/ephy-completion-model.h        |  3 ++-
 src/ephy-location-controller.c     |  2 +-
 src/ephy-search-provider.c         |  2 +-
 tests/ephy-completion-model-test.c |  4 ++--
 5 files changed, 33 insertions(+), 11 deletions(-)

commit 1500958d19f231ec639fc4e0a25fdad0aeae4ede
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Mon Sep 21 23:41:09 2015 +0200

    Updated Dutch translation by Nathan Follens

 po/nl.po | 1868 +++++++++++++++-----------------------------------------------
 1 file changed, 444 insertions(+), 1424 deletions(-)

commit 557eb8383557debf7420af54a1b49345ccc96088
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Sep 21 21:43:55 2015 +0000

    Updated Serbian Latin translation

 po/sr@latin.po | 494 +++++++++++++++++++++++++++++++--------------------------
 1 file changed, 267 insertions(+), 227 deletions(-)

commit c68982c6b48d9024e9631971ab60ab290ac40757
Author: Милош Поповић <gpopac@gmail.com>
Date:   Mon Sep 21 21:43:13 2015 +0000

    Updated Serbian translation

 po/sr.po | 494 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 267 insertions(+), 227 deletions(-)

commit fdf19b543193dceca1585057e029bf899cf44300
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Sep 18 11:54:17 2015 -0500

    Fix clearing all passwords from the clear data dialog
    
    Epiphany saves passwords with EPHY_FORM_PASSWORD_SCHEMA. If we want to
    delete the passwords we've saved, we have to pass that schema to
    libsecret. Using the SECRET_SCHEMA_COMPAT_NETWORK guarantees we will
    only delete passwords saved by other apps, and none of our own
    passwords.
    
    Exception: WebKitGTK+ is saving HTTP auth passwords with
    SECRET_SCHEMA_COMPAT_NETWORK. This change means those passwords will no
    longer be deleted, which is non-ideal.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755190

 src/clear-data-dialog.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5f0cac6c373b5f41bdb24b4762487bae93331c61
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 19 19:55:48 2015 -0500

    Don't crash on escaped null characters
    
    Disallow escaped slashes as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755287

 embed/ephy-web-view.c                    | 16 ++++++++++------
 lib/ephy-uri-helpers.c                   | 15 +++++++++++++++
 lib/ephy-uri-helpers.h                   |  1 +
 lib/widgets/ephy-download-widget.c       |  5 +++--
 src/bookmarks/ephy-bookmark-properties.c |  3 ++-
 src/bookmarks/ephy-bookmarks-editor.c    |  3 ++-
 src/ephy-completion-model.c              |  3 ++-
 src/ephy-history-window.c                |  3 ++-
 8 files changed, 37 insertions(+), 12 deletions(-)

commit 508af286eb8a32a2fd63a77428607916c1bc40e1
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Sep 20 20:18:46 2015 +0200

    Updated Danish translation

 po/da.po | 35 +++++++++++++++--------------------
 1 file changed, 15 insertions(+), 20 deletions(-)

commit 6b611d8a82f2135465d9106b9cffa1b82bb9936d
Author: Alain Lojewski <allomervan@gmail.com>
Date:   Sat Sep 19 15:49:45 2015 +0000

    Updated French translation

 help/fr/fr.po | 225 ++++++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 172 insertions(+), 53 deletions(-)

commit ceed3ab250c3bb6add56aef7b2c954c344eb5d33
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Sep 19 15:07:11 2015 +0000

    Updated Danish translation

 po/da.po | 358 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 197 insertions(+), 161 deletions(-)

commit cdf3ece6a4c97a878e2d551c7441472f5e3b1bde
Author: František Zatloukal <Zatloukal.Frantisek@gmail.com>
Date:   Sat Sep 19 11:32:50 2015 +0200

    Updated Czech translation

 po/cs.po | 548 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 268 insertions(+), 280 deletions(-)

commit be3db2cfc6de77948bcd7bc10480c4c8dbe0fb9a
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Sep 17 09:59:09 2015 +0000

    Updated Russian translation

 po/ru.po | 342 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 191 insertions(+), 151 deletions(-)

commit 567c98ff909095ee36e072afa255fdba54cc28e3
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Wed Sep 16 18:42:04 2015 +0000

    Updated Turkish translation

 po/tr.po | 299 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 165 insertions(+), 134 deletions(-)

commit 28c9f5b307a5e8a3ab7105cc893ef6fbe37b8e6f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Wed Sep 16 14:44:17 2015 +0300

    Updated Latvian translation

 po/lv.po | 19 ++-----------------
 1 file changed, 2 insertions(+), 17 deletions(-)

commit 8bd37bc3d923e6d2028a84557de72c36c3d4626f
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Wed Sep 16 14:41:19 2015 +0300

    Updated Latvian translation

 po/lv.po | 386 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 190 insertions(+), 196 deletions(-)

commit 12e97406ea1413f87ab37983502697f3217ff7bd
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Sep 14 21:19:51 2015 +0200

    Update Arabic translation

 po/ar.po | 335 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 179 insertions(+), 156 deletions(-)

commit 547923228ee30e03f13a621e719dd88dec790fe8
Author: Bernd Homuth <dev@hmt.im>
Date:   Mon Sep 14 18:23:15 2015 +0000

    Updated German translation

 po/de.po | 304 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 166 insertions(+), 138 deletions(-)

commit 9e4b18640e2b7c4e4b5d56d98eacbb96e69a2f8e
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Sep 12 11:37:13 2015 +0200

    Updated French translation

 po/fr.po | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit 561069f339380ef7f028b9412db824c7b67444d2
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Thu Sep 10 18:43:17 2015 +0300

    Finnish translation update

 po/fi.po | 380 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 191 insertions(+), 189 deletions(-)

commit fd5f935cc529be1d85dc1ed3658262baa5c0a41c
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Sep 9 10:34:14 2015 +0300

    [release] 3.17.91

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit de56275d0a6d08e34e10672c20cdf5c56940e58e
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Sep 9 11:18:59 2015 +0300

    ephy-download-test: Register the application
    
    Otherwise the inhibition will fail.

 tests/ephy-download-test.c | 1 +
 1 file changed, 1 insertion(+)

commit aa9fb6b9328ba24a0a6aed4b4a3d028816585ae5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Aug 31 09:42:42 2015 -0500

    uri-tester: don't leak from the pattern table
    
    This code is difficult to understand, but it's clear that these elements
    are not freed when they are removed. Fix it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696484

 embed/web-extension/uri-tester.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f324749c8c1cfce9e450a977856f1b703916fb42
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Aug 31 09:12:22 2015 +0200

    uri-tester: Create optslist HashTable with a free function fo the keys
    
    Keys are inserted with g_strdup, so they need to be freed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696484

 embed/web-extension/uri-tester.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 257ecd12ecdb887318b2f758ca43bf1620191e0b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jul 25 15:03:54 2015 -0500

    Don't overwrite page titles in history
    
    When loading a page, we schedule two history updates: the first to reset
    the page's title to the empty string (when the web view's title property
    is unset after load started) and the second to set the page's title
    properly. The first history update is obviously a mistake. It seems like
    it should be harmless, so long as the page load is allowed to complete,
    but avoiding it seems to solve the bug where pages appear in the history
    dialog with URLs for the title, and it's clearly wrong, so let's stop
    doing this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741385

 embed/ephy-web-view.c              | 2 +-
 lib/history/ephy-history-service.c | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

commit b518c6e900a05bfbc7d3f61ce2b9b71e5469bf2c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Aug 30 12:40:37 2015 -0500

    Link the web extension to libephymisc.la
    
    This avoids compiling many files multiple times. Also, move the
    uri-tester into the web extension directory, since that's the only place
    it's used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747521

 embed/web-extension/Makefile.am        | 20 +++-----------------
 embed/{ => web-extension}/uri-tester.c |  0
 embed/{ => web-extension}/uri-tester.h |  0
 3 files changed, 3 insertions(+), 17 deletions(-)

commit 67a0888c940ea384ee932c5dea90644d5e2e22b0
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Tue Sep 8 02:19:36 2015 +0900

    Added Korean help translation

 help/Makefile.am |    2 +-
 help/ko/ko.po    | 1783 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1784 insertions(+), 1 deletion(-)

commit 0930650ec17086f72bed52a49e96ca6dcbf209a0
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Sep 7 14:07:54 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 343 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 191 insertions(+), 152 deletions(-)

commit 5414a20a7e049454c50b8a41ce24df1d3d8964fe
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Sat Sep 5 17:55:05 2015 +0900

    Updated Korean translation

 po/ko.po | 339 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 187 insertions(+), 152 deletions(-)

commit 6740ac8046a64d7a120d7c1cb5e6f91cf95bd853
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Sep 4 17:37:26 2015 +0000

    Updated Kazakh translation

 po/kk.po | 317 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 170 insertions(+), 147 deletions(-)

commit 08d54ae133ac5f7bdd96c72d16287fdd2cb89bc0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Sep 3 18:16:54 2015 -0500

    EphyProfileUtils: fix leak in ephy_profile_utils_do_migration
    
    The first parameter to g_environ_setenv is "transfer full" but so is the
    return value, and it is used as the return value.
    
    Indirect leak of 5579 byte(s) in 82 object(s) allocated from:
        #0 0x7f1d6e115a0a in malloc (/lib64/libasan.so.2+0x98a0a)
        #1 0x7f1d582b33c4 in g_malloc
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmem.c:94
        #2 0x7f1d582cb1ac in g_strdup
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gstrfuncs.c:363
        #3 0x7f1d582cca45 in g_strdupv
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gstrfuncs.c:2491
        #4 0x7f1d582997e1 in g_get_environ
    /home/mcatanzaro/jhbuild/checkout/glib/glib/genviron.c:413
        #5 0x4ee3cc in ephy_profile_utils_do_migration
    /home/mcatanzaro/jhbuild/checkout/epiphany/lib/ephy-profile-utils.c:102
        #6 0x42437c in main
    /home/mcatanzaro/jhbuild/checkout/epiphany/src/ephy-main.c:378
        #7 0x7f1d574196ff in __libc_start_main (/lib64/libc.so.6+0x206ff)

 lib/ephy-profile-utils.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 252cc3c15d30793f182eec94963867d15387d1ce
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Aug 30 10:44:36 2015 -0500

    EphyEmbed: fix leak setting the title property
    
    Direct leak of 178 byte(s) in 3 object(s) allocated from:
        #0 0x7fce2bc1ba0a in malloc (/lib64/libasan.so.2+0x98a0a)
        #1 0x7fce1d271068 in g_malloc
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmem.c:94
        #2 0x7fce1d27134a in g_malloc_n
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmem.c:330
        #3 0x7fce1d28c077 in g_strdup
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gstrfuncs.c:363
        #4 0x7fce1d5b5186 in g_value_dup_string
    /home/mcatanzaro/jhbuild/checkout/glib/gobject/gvaluetypes.c:1136
        #5 0x49020c in ephy_embed_set_property
    /home/mcatanzaro/jhbuild/checkout/epiphany/embed/ephy-embed.c:444
        #6 0x7fce1d58ef42 in object_set_property
    /home/mcatanzaro/jhbuild/checkout/glib/gobject/gobject.c:1421
        #7 0x7fce1d58fbd4 in g_object_new_internal
    /home/mcatanzaro/jhbuild/checkout/glib/gobject/gobject.c:1814
        #8 0x7fce1d59071a in g_object_new_valist
    /home/mcatanzaro/jhbuild/checkout/glib/gobject/gobject.c:2039
        #9 0x7fce1d58f6c5 in g_object_new
    /home/mcatanzaro/jhbuild/checkout/glib/gobject/gobject.c:1623
        #10 0x427214 in ephy_shell_new_tab_full
    /home/mcatanzaro/jhbuild/checkout/epiphany/src/ephy-shell.c:694
        #11 0x459433 in session_parse_embed
    /home/mcatanzaro/jhbuild/checkout/epiphany/src/ephy-session.c:1067
        #12 0x4595c8 in session_start_element
    /home/mcatanzaro/jhbuild/checkout/epiphany/src/ephy-session.c:1113
        #13 0x7fce1d26deb9 in emit_start_element
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmarkup.c:1049
        #14 0x7fce1d26ea4e in g_markup_parse_context_parse
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmarkup.c:1396
        #15 0x459e2c in load_stream_read_cb
    /home/mcatanzaro/jhbuild/checkout/epiphany/src/ephy-session.c:1266
        #16 0x7fce1d83ac11 in async_ready_callback_wrapper
    /home/mcatanzaro/jhbuild/checkout/glib/gio/ginputstream.c:529
        #17 0x7fce1d871911 in g_task_return_now
    /home/mcatanzaro/jhbuild/checkout/glib/gio/gtask.c:1104
        #18 0x7fce1d87196e in complete_in_idle_cb
    /home/mcatanzaro/jhbuild/checkout/glib/gio/gtask.c:1118
        #19 0x7fce1d26b430 in g_idle_dispatch
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmain.c:5441
        #20 0x7fce1d268a78 in g_main_dispatch
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmain.c:3153
        #21 0x7fce1d2698bc in g_main_context_dispatch
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmain.c:3769
        #22 0x7fce1d269aa0 in g_main_context_iterate
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmain.c:3840
        #23 0x7fce1d269b64 in g_main_context_iteration
    /home/mcatanzaro/jhbuild/checkout/glib/glib/gmain.c:3901
        #24 0x7fce1d8a349d in g_application_run
    /home/mcatanzaro/jhbuild/checkout/glib/gio/gapplication.c:2311
        #25 0x4247ca in main
    /home/mcatanzaro/jhbuild/checkout/epiphany/src/ephy-main.c:484
        #26 0x7fce1c3ca6ff in __libc_start_main (/lib64/libc.so.6+0x206ff)

 embed/ephy-embed.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25c3734d1ca24bc942f4c8e18b1e41057a65e77b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Sep 2 11:10:23 2015 -0500

    Fixup for the previous commit

 src/ephy-title-box.c | 1 -
 1 file changed, 1 deletion(-)

commit 01014b88746925b3d5e17e09527e0fb48ebf50de
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 1 22:25:01 2015 -0500

    EphyTitleBox: Escape should not work when there's no title
    
    Be careful to not allow switching to title mode when the page has no
    title.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754427

 src/ephy-title-box.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 9f230a24d42220b8343a1d5ff74c9d3bb969dae0
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Wed Sep 2 06:17:18 2015 +0000

    Updated Italian translation

 po/it.po | 322 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 173 insertions(+), 149 deletions(-)

commit af073916477c6300e18490b6be609a1dbfabe676
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Sep 1 08:57:30 2015 +0000

    Updated Indonesian translation

 po/id.po | 317 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 168 insertions(+), 149 deletions(-)

commit 75d293330d0d29db104f01c1e17684cf1e4bd903
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Mon Aug 31 15:46:39 2015 +0000

    Updated Hungarian translation

 po/hu.po | 244 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 129 insertions(+), 115 deletions(-)

commit 6863df9a1027cf506af09a1ce13b53b10f20c858
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Feb 26 21:18:33 2015 -0600

    ephy-embed: slightly delay delayed load requests
    
    If the user is rapidly switching through many tabs with delayed load
    requests, we shouldn't load them all. Instead, wait until the user stops
    briefly on a tab before loading it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745260

 embed/ephy-embed.c | 36 +++++++++++++++++++++++++++++++-----
 1 file changed, 31 insertions(+), 5 deletions(-)

commit 4ca650b788b2ef34813722f73bb85e3491580a7a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Mar 7 14:57:31 2015 -0600

    Do not open an extra overview when starting the browser
    
    If there is no saved session and the user launches Epiphany by clicking
    a URI in another application, then we should open only one tab with that
    URI. Currently we may open the overview and then the URI in a second tab,
    because we do not consider the page to be blank if it is still loading.
    Replace this tricky code. If the page is still loading it's not safe to
    assume the URI has been set to whatever page was last loaded in it, and we
    can't risk losing tabs from a previous session.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745792

 src/ephy-shell.c | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

commit 248cb650f2b192210e7d2eaf66b0e12cda929e3a
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Sun Aug 30 12:09:41 2015 +0300

    Updated Greek translation

 po/el.po | 332 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 181 insertions(+), 151 deletions(-)

commit 72819cb52ebfa118b20293e99943cc89cc61a03e
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Aug 30 10:58:31 2015 +0300

    Updated Hebrew translation

 po/he.po | 242 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 130 insertions(+), 112 deletions(-)

commit 9ab0e18547aa71dbdd8ae4304d48d2fb80c76ae5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Aug 30 01:20:21 2015 +0200

    Updated Polish translation

 po/pl.po | 464 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 242 insertions(+), 222 deletions(-)

commit ef4c8fd80e8863a8355f0e7c194970ccd9df0a48
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Aug 29 09:20:59 2015 -0500

    Enable adblock by default
    
    It's been a long time since we've seen complaints about non-ads being
    blocked.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754273

 data/org.gnome.epiphany.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4ff8705155fda53460bc9dfdc1de6c14e83880a1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Aug 29 09:12:04 2015 -0500

    Enable DNT headers by default
    
    Argument in favor: The do-not-track header should be sent by default.
    Otherwise, setting the header makes it easier to track you (since fewer
    users will change the setting than leave it unchanged). It's hard to
    understate how silly this is. ;)

 data/org.gnome.epiphany.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 080a2a02aaec820883f11e66ab0eae8a7e5c185d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Aug 27 08:36:25 2015 +0000

    Updated Swedish translation

 po/sv.po | 638 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 326 insertions(+), 312 deletions(-)

commit f671076569683c3f369ca64030dfe7c30a0abc00
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 25 16:28:02 2015 +0200

    Updated Galician translations

 po/gl.po | 337 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 182 insertions(+), 155 deletions(-)

commit 43c1c5eba6028807ce45d09829fa5a9f4c0b1dff
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 25 13:20:28 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 344 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 188 insertions(+), 156 deletions(-)

commit 51b329fb59433247204efaadaa394d3b0ea9a3ae
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Aug 24 20:15:29 2015 +0000

    Updated French translation

 po/fr.po | 335 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 185 insertions(+), 150 deletions(-)

commit 8dcc5dcba04140bd2adca2ed51a3057e518b321c
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Aug 24 15:54:20 2015 +0000

    Updated Slovak translation

 po/sk.po | 783 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 514 insertions(+), 269 deletions(-)

commit ddf6de69c5e815aaa5064432000a4f521f63144c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Aug 22 10:37:56 2015 -0500

    Update autogen.sh to latest example
    
    Adds support of out-of-tree builds. Also, set +-x have become too
    unwieldy and are removed.

 autogen.sh | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 7b56201a1676ceda24b8597ce9d3d444066a9d00
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Aug 12 08:58:57 2015 +0200

    Updated Spanish translation

 po/es.po | 247 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 130 insertions(+), 117 deletions(-)

commit 39f4fea86b4349c6d859f1272d191ed1f7754ea3
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Aug 10 23:06:31 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 807 ++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 512 insertions(+), 295 deletions(-)

commit 592e5dff5b6aadeccf437c3ddbfb2e4b0134353e
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Aug 7 11:15:57 2015 +0200

    ephy-location-entry: Get rid of the cell data func to set the text
    
    It seems that changing the model in the cell data func callback confuses
    GtkTreeView that keeps validating the rows all the time while the popup
    is hidden. The fact that GtkEntry recomputes the size of the popup on
    every size_allocate even when the popup is hidden doesn't help either.
    So, not changing the model inside the cell data func callback prevents
    the rows from being validated indefinitely, but still the cell data func
    is called too often in my opinion. And we are always setting the same
    text for every row, so I think we should set the title in the model and
    get rid of the cell data func.
    This patch also ensures that the URL is not shown twice in the
    completion menu when there's no title.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753321

 lib/widgets/ephy-location-entry.c | 76 +--------------------------------------
 src/ephy-completion-model.c       | 63 +++++++++++++++++++++++++++++---
 2 files changed, 60 insertions(+), 79 deletions(-)

commit de0b20af8832fe8ebf3c8a70f9b82c6fc76cb4c9
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Aug 6 16:00:30 2015 +0200

    ephy-completion-model: Do not add smart bookmarks to the completion model
    
    They are already added by EphyLocationController to the completion menu
    as completion actions. Otherwise they appear twice in the completion
    menu, and with a null address in the first case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753321

 src/ephy-completion-model.c | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit 4d3f2dc8763c2eee28479ee8e45962ec28924dd1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Aug 6 11:15:10 2015 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 145 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 81 insertions(+), 64 deletions(-)

commit b2a53b9c7b9b6cb57a03cc44b266d5dfd8555ed1
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Tue Aug 4 10:25:59 2015 +0000

    Updated Portuguese translation

 po/pt.po | 249 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 129 insertions(+), 120 deletions(-)

commit 597d7f9f8661e464e083ce75151690012bfca885
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Jul 31 10:15:49 2015 +0200

    Implement shared-secondary-process model as MULTIPLE_SECONDARY_PROCESSES with a process limit of 1
    
    The main difference is that the networking is done in the
    network process, instead of the web process.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753093

 embed/ephy-embed-shell.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 74e1ff0dd50afc3450eb494dc3c6f5ac0c00b2f5
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Jul 31 09:55:19 2015 +0200

    Add a setting to set the maximum number of web processes
    
    It allows to limit the amount of web processes created at the same time
    by the one-secondary-process-per-web-view process model.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753092

 configure.ac                        | 2 +-
 data/org.gnome.epiphany.gschema.xml | 6 ++++++
 embed/ephy-embed-shell.c            | 2 ++
 lib/ephy-prefs.h                    | 1 +
 4 files changed, 10 insertions(+), 1 deletion(-)

commit f8b2b4e0e050fe8ff04a6ea1d6260a6527822033
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Jul 31 12:10:57 2015 +0200

    overview: Move the overview CSS to about.css and generate the HTML from the code
    
    This way we get rid of the overview.html template resource. All the
    overview specific classes and ids have been renamed to overview-name,
    since the CSS is now in the common abbout.css resource. This fixes the
    problems of using a printf template and makes the generation fo the
    overview consistent with all other about handlers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751385

 embed/ephy-about-handler.c              |  66 +++++++----
 embed/web-extension/ephy-web-overview.c |  18 +--
 src/Makefile.am                         |   1 -
 src/epiphany.gresource.xml              |   1 -
 src/resources/about.css                 | 134 +++++++++++++++++++++
 src/resources/overview.html             | 204 --------------------------------
 6 files changed, 188 insertions(+), 236 deletions(-)

commit 75d044a556533ab58cd1f895c4aaba29ac5acc8e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Aug 2 19:04:34 2015 -0500

    Fix the desktop file
    
    AC_CONFIG_FILES cannot translate things... broken since
    0711c69b583af8a5a455e75458a96058f74317d0

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 6e5d64aeac48493c201f7fec611840510168e8d1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Jul 30 09:57:02 2015 -0500

    Reorder options in remember password prompt
    
    I messed this up replacing the close button with don't save: affirmative
    is always on the right in GNOME. Just like it already is for
    geolocation/notification requests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753061

 embed/ephy-web-view.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db05593e2710ab6df0d45fcc9df1d069e66c2906
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Jul 31 12:08:26 2015 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 378 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 187 insertions(+), 191 deletions(-)

commit 3c4525de2b3e7cfa8938709094aa9b9dd3a2b930
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jul 25 17:14:08 2015 -0500

    EphyWindow: store a decoded address, not a percent-encoded address
    
    This means the location controller will get a user-friendly display URI.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/ephy-lockdown.c | 2 +-
 src/ephy-window.c   | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 961074415b68792ac0282e72a0d93245c1ad5ea2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jul 25 17:08:01 2015 -0500

    Show decoded URI in the new web application dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/window-commands.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3317ec824d80d99537918f168db0a1f70bd268e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jul 25 17:02:35 2015 -0500

    EphyWebView: add get_display_address()
    
    This returns a decoded URI. It is the only URI that is appropriate for
    display to the user.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 embed/ephy-web-view.c | 29 +++++++++++++++++++++++++++--
 embed/ephy-web-view.h |  2 +-
 2 files changed, 28 insertions(+), 3 deletions(-)

commit dbee788e39394de6c0536d95dbef95528dbc7e3a
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jul 27 19:47:34 2015 -0500

    Fixup for 'display decoded URIs in the history dialog'
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/ephy-history-window.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 339e2903b2adab2cbac8a69cce254285a61c2b4b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jul 27 19:44:26 2015 -0500

    Fixup for 'display decoded URIs in bookmarks editor'
    
    I pushed before addressing Carlos's review comments. Bad Michael!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/bookmarks/ephy-bookmarks-editor.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 71be3ea36f1f7287d232f5410882017abc551768
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 19:10:58 2014 +0100

    Display decoded URIs in the history dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/ephy-history-window.c | 33 +++++++++++++++++++++++++++++++--
 1 file changed, 31 insertions(+), 2 deletions(-)

commit 7218cb46abc59561f026406d4c5141bc71ae8c67
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 18:53:06 2014 +0100

    Display decoded URIs in the bookmarks editor
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/bookmarks/ephy-bookmarks-editor.c | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 965244584bfdf414137224d3728a578c472d3335
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 18:40:03 2014 +0100

    Add ephy_node_view_add_column_full
    
    Allow creating an EphyNodeView column that derives its values from a
    property, but is modified by a function for display.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 lib/widgets/ephy-node-view.c | 52 ++++++++++++++++++++++++++++++++++----------
 lib/widgets/ephy-node-view.h | 10 +++++++++
 2 files changed, 51 insertions(+), 11 deletions(-)

commit e9f28821db0fabe8c6c96e898bd3e0e7a09e8d50
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 18:29:18 2014 +0100

    Add ephy_tree_model_node_add_column_full
    
    Allow creating a tree model column that derives its values from a
    property, but is modified by a function for display.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 lib/widgets/ephy-tree-model-node.c | 54 +++++++++++++++++++++++---------------
 lib/widgets/ephy-tree-model-node.h |  6 +++++
 2 files changed, 39 insertions(+), 21 deletions(-)

commit 072ccaceb6dabc0a7a3baef4950b47aa282f315b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 12:16:42 2014 +0100

    Display decoded URIs in the bookmark properties dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 src/bookmarks/ephy-bookmark-properties.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 17e4d34628fc425c08a5c6d9cc2419bf3926222f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 11:30:22 2014 +0100

    Display decoded URIs in the location entry completion
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 lib/widgets/ephy-location-entry.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit b2f5f1af21a9204c2645e6f56749d8aa6492351b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Jul 25 16:01:39 2015 -0500

    EphyWebView: Decode URI before setting the loading or status message
    
    This ensures that the URI displayed in the floating bar is decoded.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710004

 embed/ephy-web-view.c | 15 +++++++++++----
 embed/ephy-web-view.h |  2 +-
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 2e42c298bc656cbd2ab02dbec2f45327dbfbb34d
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jul 25 03:35:01 2015 +0200

    Updated Czech translation

 po/cs.po | 347 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 174 insertions(+), 173 deletions(-)

commit f8739c4ba09171c63f88df017e6a6bc244c082c0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jul 17 10:10:10 2015 -0500

    Inhibit logout and suspend while downloading files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=339809

 embed/ephy-download.c | 53 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 4ffd3902c3316b0d2f65fd4abede852eb995108c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Oct 18 20:58:05 2014 +0200

    ephy-dom-utils: Remember some more passwords
    
    Remember passwords for the French tax office:
    https://cfspart.impots.gouv.fr/LoginMDP
    
    The identifier's entry type is set as "tel" so that only digits can
    be input on browsers that support those hints. Make sure that Epiphany
    knows that "telephone numbers" can be used as identifiers, in addition
    to free-form text and emails.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750024

 lib/ephy-web-dom-utils.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit d3ecd72dac981b15c098fb29c03500667d8ffd55
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Jul 22 14:45:38 2015 +0300

    [release] 3.17.2

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit 46916be759f08f9f560acb4eadf76103fc808b4e
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Jun 22 09:44:08 2015 +0200

    embed: Make sure private instances don't leave data outside their profile dir
    
    Create the WebKitWebContext with a WebKitWebsiteDataManager configured
    for the current profile.

 configure.ac             |  2 +-
 embed/ephy-embed-shell.c | 38 +++++++++++++++++++++-----------------
 2 files changed, 22 insertions(+), 18 deletions(-)

commit 18c227908098a715b7b1686ffab6d151dc2459ba
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jul 20 13:16:14 2015 -0500

    Set page title as a tooltip for tabs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752606

 src/ephy-notebook.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 51e844a9e0e7e9901cbe22c923debeaa45bed006
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jul 17 12:46:06 2015 +0000

    Updated Hungarian translation

 po/hu.po | 127 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 69 insertions(+), 58 deletions(-)

commit 290774f2d27df8ff365e97e1e6e2b1a92ddd2512
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Jul 16 14:27:37 2015 +0300

    Updated Hebrew translation

 po/he.po | 278 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 140 insertions(+), 138 deletions(-)

commit e28f16a9f5a248939b4c8c297445fb6a1651bb4c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jul 13 10:27:12 2015 +0200

    Updated Spanish translation

 po/es.po | 134 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 72 insertions(+), 62 deletions(-)

commit 9f00bb5991e48efb65e463c436179cb29aa87e0c
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Tue Jul 7 16:11:04 2015 +0800

    build: Fix -Werror build for clang
    
    https://bugzilla.gnome.org/show_bug.cgi?id=752050

 embed/ephy-embed-prefs.c              | 4 ++--
 embed/ephy-find-toolbar.c             | 3 +++
 embed/ephy-web-view.c                 | 2 +-
 lib/ephy-langs.c                      | 2 +-
 src/bookmarks/ephy-bookmarks-editor.c | 6 +++---
 src/bookmarks/ephy-bookmarks-export.c | 2 +-
 6 files changed, 11 insertions(+), 8 deletions(-)

commit 89464813d02df5459fa3cceaa752d33252d9cb94
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 9 17:07:48 2014 -0500

    ephy-location-entry: update padding for latest Adwaita
    
    Our code for aligning the URL of completions with the URL in the
    location entry seems to be theme-dependent, and the alignment isn't
    quite right with the latest Adwaita.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736363

 lib/widgets/ephy-location-entry.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8eb582bc36e39c2cfc321fe80de9be694a1b5811
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sat Jul 4 06:21:19 2015 +0000

    Updated Portuguese translation

 po/pt.po | 373 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 173 insertions(+), 200 deletions(-)

commit 86058f219c4cf81d88387a44e68a698083ddb8f3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Jul 3 10:26:03 2015 -0500

    configure.ac: Use AX_REQUIRE_DEFINED
    
    Let's assume the user has an up-to-date copy of autoconf-archive
    (otherwise, he probably does not even have AX_REQUIRE_DEFINED). If so,
    we can ensure a better error message when a required external macro is
    missing.

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit 4615a1debb36d723bbbc47525e836b1afb281c0e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Jul 2 14:04:27 2015 -0500

    Be more careful with weak pointers
    
    As a follow-up to bug #747422, be careful to remove weak pointers to
    objects when it appears that the lifetime of the object can outlive the
    lifetime of the memory location of the pointer.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751858

 embed/ephy-web-view.c                    | 6 ++++++
 embed/web-extension/ephy-web-extension.c | 2 ++
 2 files changed, 8 insertions(+)

commit 0f1f02930040ee14a373fef7a86e2976d599acf3
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Jul 2 13:51:40 2015 -0500

    Add a FIXME comment

 src/bookmarks/ephy-bookmarks-editor.c | 1 +
 1 file changed, 1 insertion(+)

commit 3596b8e88b0b98a5133c609124458d6d0d968062
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Jul 2 15:56:44 2015 +0200

    ephy-web-view: Clean up after outliving web extension proxies
    
    If the EphyWebView is destroyed before the EphyWebExtensionProxy
    it's attached to does, we'll leave a dangling weak pointer, which
    will nullify random memory at the time the web extension proxy
    is actually destroyed.
    
    So, prepare for undoing the effects of page_created_cb() in case
    we ::dispose() when we still have a web extension attached.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747422

 embed/ephy-web-view.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit b2a52f197cbd3f2db30154b3f9c2d38b25f77394
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 21:45:36 2015 -0500

    Silence all the new warnings
    
    Let's fix these one-by-one, instead of dealing with a bajillion warnings
    that prevent us from seeing the build progress and noticing any warnings
    at all.
    
    Also, actually make use of AX_COMPILER_FLAGS to test the flags we pass,
    instead of using them unconditionally.

 configure.ac | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 44845cacf5b4e6a1af0aef3552a40021f6a75312
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 21:34:22 2015 -0500

    Silence a deprecation warning coming from egg
    
    Don't want to use the normal compiler warnings here, because I don't
    want to fix compiler warnings from egg generally. So we'll just leave
    this directory with only the default compiler warnings. But for some
    reason, -Wdeprecated-declaration is enabled by default. Maybe we'll
    rethink using the default warnings here in the future, but in the
    meantime, might as well placate it.
    
    Not upstreamed since the upstream code supports ancient GTK+.
    
    Also note: this code seems to be crashy, but it was crashy BEFORE this
    commit too. It seems to be a regression in GTK+ 3.17.

 lib/egg/eggtreemultidnd.c | 17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

commit 43d48f2196f09327a716a3f9d01b184067d9d41e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 20:08:01 2015 -0500

    configure.ac: Add a comment about some warnings we can't fix yet

 configure.ac | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit ad7cb596703be3c4bc6b0f3b2d49c36a4b0b7c5b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 19:03:13 2015 -0500

    Fix build of URI helpers test
    
    tests/Makefile.am:178: warning: variable 'test_ephy_uri_helpers_SOURCES'
    is defined but no program or
    tests/Makefile.am:178: library has 'test_ephy_uri_helpers' as canonical
    name (possible typo)
    
    Glad that was legal. "Glad."

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d512444141203d7de5513b66ca9dd59dfd3816f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:39:14 2015 -0500

    Clean data files in normal clean
    
    Let's reserve distclean for stuff generated by configure, and use clean
    for everything generated by make and not distributed (the usual rule).

 data/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b0dd9c9212abda612b0ba92306f4288b6f36c19
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:33:09 2015 -0500

    Don't list the same files in multiple clean targets
    
    Distclean also deletes files that would be deleted by normal clean,
    maintainerclean also deletes files that would be deleted by distclean,
    and clean also deletes files that are deleted by poor forgotten
    mostlyclean.

 embed/Makefile.am         | 2 --
 lib/Makefile.am           | 2 --
 lib/history/Makefile.am   | 2 --
 lib/widgets/Makefile.am   | 2 --
 src/Makefile.am           | 2 --
 src/bookmarks/Makefile.am | 2 --
 6 files changed, 12 deletions(-)

commit 4966c40e75acb125f1ceef353d0d5c68c02b6eb1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:30:15 2015 -0500

    Remove POTFILES.skip
    
    Two of these files no longer exist, and the appdata file is already
    translated.

 po/POTFILES.skip | 3 ---
 1 file changed, 3 deletions(-)

commit 0711c69b583af8a5a455e75458a96058f74317d0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:29:13 2015 -0500

    Remove Bug Buddy crap from desktop file and simplify generation
    
    No need for the .desktop.in.in with the Bug Buddy stuff removed.

 configure.ac                                         | 2 +-
 data/Makefile.am                                     | 4 ++--
 data/{epiphany.desktop.in.in => epiphany.desktop.in} | 5 -----
 po/POTFILES.in                                       | 2 +-
 po/POTFILES.skip                                     | 1 -
 5 files changed, 4 insertions(+), 10 deletions(-)

commit b012b48574425c6e17dd692306500fff3da78659
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:23:28 2015 -0500

    Improve the appdata file
    
    Let's not show our codename in GNOME Software. Also, add a bit more
    description; I think we need two paragraphs to pass appstream-util
    validate.

 data/epiphany.appdata.xml.in | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 72c138d4196238316c17ee666784f38e273d43c2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:17:36 2015 -0500

    Do not distribute org.gnome.Epiphany.service
    
    This is necessarily generated at make time.

 data/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c3483ec695427bba018024fac1d035a8346ad8f
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 18:08:28 2015 -0500

    Modernize appdata generation and validate it during distcheck
    
    Using the standard appstream macros that replaced the appdata macros
    that replaced the do-it-manually method we have here.

 configure.ac     |  1 +
 data/Makefile.am | 11 +++++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 084f096535b08f17ddcb47b4d23ebd881c6e196e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:50:39 2015 -0500

    configure.ac: Remove inexplicable blank line in output

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit a5bb7498b9272a3768c1f0549b087116a93ce848
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:46:50 2015 -0500

    Remove git branches from ChangeLog
    
    These aren't meaningful in the changelog, and cause the resultant
    changelog to differ based on the user's git configuration.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e515d5769ed287fa4ca77259e8d0039348679672
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:43:53 2015 -0500

    Put build goo under build-aux directory

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit ff29f6f24ac3e8949d135eb08db18fce272b96e0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:37:25 2015 -0500

    EXTRA_DIST fewer things
    
    autogen.sh is for git builds. It has no place in our tarball.
    
    HACKING is for developers, who should be using git.
    
    ChangeLog is already distributed by default.

 Makefile.am | 8 --------
 1 file changed, 8 deletions(-)

commit 03bfed408e51e032866f5c49a28704811080c7f4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:33:35 2015 -0500

    Remove MAINTAINERS
    
    It's obsoleted by the doap file, and hasn't been kept in sync.

 ChangeLog.README | 2 +-
 HACKING          | 2 +-
 MAINTAINERS      | 3 ---
 Makefile.am      | 1 -
 4 files changed, 2 insertions(+), 6 deletions(-)

commit 81c0572868febb8073f7d52aa65b53d8a703fc6c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:31:20 2015 -0500

    Remove COPYING.README
    
    WebKit is a thing now. If we switch back to Mozilla in the future, then
    we can always resurrect this. I won't hold my breath.

 COPYING.README | 8 --------
 Makefile.am    | 1 -
 2 files changed, 9 deletions(-)

commit 16b1dd64cc7a6f5bc4b6b712a19e700eff51f908
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:29:43 2015 -0500

    configure.ac: Add a few missing quotes
    
    More for style than safety

 configure.ac | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 41b34cb38e174811fd226da1e3712b9682eb1542
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:27:26 2015 -0500

    configure.ac: Rearrange
    
    This fixes a bajillion warnings about AX_CHECK_ENABLE_DEBUG being used
    before AC_PROG_CC, which we have had ever since GNOME_DEBUG_CHECK
    started using AX_CHECK_ENABLE_DEBUG internally.
    
    I rearrange a bit more to make it look nicer to me. :)

 configure.ac | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit 6fb87c2b8b1c71730cade3d02b2a00871e30ac2c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:21:26 2015 -0500

    configure.ac: Remove EPHY_CHECK_VERSION cruft
    
    This no longer exists. If we add it in the future, we can bring it back,
    but that doesn't seem like a particularly-likely future to me.

 configure.ac | 5 -----
 1 file changed, 5 deletions(-)

commit 7573f26fb584acf179ddcbc084b2b8aebfed53df
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 17:15:27 2015 -0500

    Reenable -Wmissing-prototype
    
    -Wmissing-prototype is good. Suppressing it for the entire project was a
    bad idea.
    
    We'll need to keep -Wno-deprecated-declarations until we can manage to
    move away from GtkUIManager, GtkAction, and friends.
    
    I kind of want to remove -Wdeclaration-after-statement as well, because
    it is 2015 and it's good to minimize the scope of your variable
    declarations by declaring them at point of first use, but this one is
    worth discussing before changing.

 configure.ac                                  | 2 +-
 embed/web-extension/ephy-web-extension-main.c | 5 +++++
 2 files changed, 6 insertions(+), 1 deletion(-)

commit d9a7d8e542357a321a49de4ce2b69855413bfd11
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:58:55 2015 -0500

    Use AX_COMPILER_FLAGS instead of GNOME_COMPILE_WARNINGS
    
    GNOME_COMPILE_WARNINGS has been deprecated for AX_COMPILER_FLAGS.
    
    Behavior change: -Werror is not enabled by default for builds from git.
    Disable by configuring with --disable-Werror. jhbuild and GNOME
    Continuous will pass this by default. Werror will not be used for
    tarball builds. This was the product of negotiation, intended to
    encourage GNOME developers to fix warnings without causing needless
    breakage for jhbuilders or for downstreams (since -Werror will not be
    used for tarball builds).
    
    Behavior change #2: We have a ton of new warnings to fix now.
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 configure.ac                    | 3 +--
 embed/Makefile.am               | 1 +
 embed/web-extension/Makefile.am | 1 +
 lib/Makefile.am                 | 1 +
 lib/history/Makefile.am         | 1 +
 lib/widgets/Makefile.am         | 1 +
 src/Makefile.am                 | 5 ++++-
 src/bookmarks/Makefile.am       | 1 +
 tests/Makefile.am               | 2 ++
 9 files changed, 13 insertions(+), 3 deletions(-)

commit 480536d5026e68d0d0211849cc5fde759a7797b6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:55:12 2015 -0500

    Enable compiler warnings in some places they were missing

 lib/Makefile.am         | 2 ++
 lib/history/Makefile.am | 2 ++
 tests/Makefile.am       | 3 ++-
 3 files changed, 6 insertions(+), 1 deletion(-)

commit c10488db3416e9afed2564b1a61f240b0414b6f5
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:42:38 2015 -0500

    Use AX_CHECK_ENABLE_DEBUG instead of GNOME_DEBUG_CHECK
    
    Behavior change: debug mode is now enabled by default for builds from
    git (but not for tarball builds). Now I don't need to pass --enable-debug
    in my module_autogenargs in jhbuildrc anymore, yay!
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 configure.ac            | 2 +-
 lib/ephy-debug.c        | 2 +-
 lib/ephy-debug.h        | 2 +-
 lib/ephy-file-helpers.c | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d05fcf358fd35f4448687de8444797ed4d1fed19
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:38:35 2015 -0500

    configure.ac: Do not use GNOME_MAINTAINER_MODE_DEFINES
    
    I think this doesn't do anything anymore.
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 16116312f12cd62c056ad2d7c95f31bc4405d314
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:35:25 2015 -0500

    configure.ac: Use AX_IS_RELEASE
    
    This affects AX_CHECK_ENABLE_DEBUG and AX_COMPILER_FLAGS.

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit f0478f98c1ba131088c6dcf50ff4bac465252b7c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:28:00 2015 -0500

    Use AX_CODE_COVERAGE instead of GNOME_CODE_COVERAGE
    
    GNOME_CODE_COVERAGE has moved upstream.
    
    Note: This means we now depend on autoconf-archive for builds from git,
    which is now a mandatory dependency for GNOME (when building from git).
    All macros will be copied into the tarball and distributed
    automatically, so there are no new dependencies in our release.
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 Makefile.am  | 2 +-
 configure.ac | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 61b8ca251aad8c733ad7f033c09af67cefb930ef
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:20:59 2015 -0500

    Stop abusing ACLOCAL_AMFLAGS
    
    This is deprecated and it won't work in Automake 2.0, which is
    supposedly going to be released later this year. We don't need this
    anymore because we call aclocal --install in autogen.sh. Supposedly also
    Autoconf 2.70 will be released later this year as well; if that happens,
    then autoreconf --install should have learned to pass --install to
    aclocal, and we won't need to use it explicitly anymore. In the
    meantime, we'll continue to run aclocal in autogen.sh. This is the
    recommended practice for all GNOME projects.
    
    There is one downside: libtool 2.4.2 and older will complain that we
    have not added -I m4 to ACLOCAL_AMFLAGS. The warning is harmless and
    should be ignored. I believe libtool 2.4.3 no longer complains (although
    I don't have a new enough libtool to test this).
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit d483ea45db53b4326434a8d46eb0f88069a9d20b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:19:19 2015 -0500

    Stop using gnome-autogen
    
    It's deprecated.
    
    This incidentally fixes the following warning:
    
    ***Warning*** PKG_NAME is deprecated, you may remove it from autogen.sh
    
    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh | 44 ++++++++++++++++++++++++++++----------------
 1 file changed, 28 insertions(+), 16 deletions(-)

commit 5e5bb440f756c0039c53058042c5fbe88fc0e3fc
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:16:09 2015 -0500

    configure.ac: Remove explicit use of PKG_PROG_PKG_CONFIG
    
    This is only needed if the first use of PKG_CHECK_MODULES is inside a
    conditional. See pkg-config(1).

 configure.ac | 2 --
 1 file changed, 2 deletions(-)

commit 527dd7aa65ac38686191b5f0ad485572acf83db9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 16:14:05 2015 -0500

    configure.ac: Use AM_SILENT_RULES unconditionally
    
    It's guaranteed to be present because we already require automake 1.11

 configure.ac | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 8d03dd5d54049ea471e46bd720110a07ad676600
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 15:42:17 2015 -0500

    Really fix translations in the search provider
    
    We need to call setlocale() manually because we are not a GTK+
    application and do not call gtk_init() (which would normally handle this
    for us).

 src/ephy-search-provider-main.c | 2 ++
 1 file changed, 2 insertions(+)

commit b73db5522be075a651a7b3a812ad726fde47f585
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 15:06:40 2015 -0500

    Use plain LOCALEDIR
    
    The variable rename is itself of no consequence, just to be more
    standard. But $(localedir) may not necessarily be $(datadir)/locale, so
    this aspect of the change makes a real difference.

 lib/Makefile.am                 | 1 +
 lib/ephy-langs.c                | 6 ++----
 src/Makefile.am                 | 6 +++---
 src/ephy-main.c                 | 2 +-
 src/ephy-search-provider-main.c | 2 +-
 5 files changed, 8 insertions(+), 9 deletions(-)

commit c205fbe91a1e725be4648688da4e35b8b352d1e6
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 14:46:12 2015 -0500

    Make gettext mandatory and stop using glib-gettext
    
    It's fighting with intltool and intltool is winning, so no point in
    keeping it around and making things more complicated. In the future, it
    would be good to replace intltool with upstream gettext (not
    glib-gettext), but we still need intltool to translate the appdata file.
    In the meantime, we'll no longer have two competing applications that
    both want to create po/Makefile.in.in.
    
    The AM_GLIB_GNU_GETTEXT macro was defining ENABLE_NLS if gettext is
    available, to make i18n optional. But most GNOME programs require
    gettext nowadays, and it's installed pretty much everywhere, so there is
    no reason for it to be optional anymore. Note, the only reason we were
    using glib-gettext before, as far as I see, was to define ENABLE_NLS.

 configure.ac                    |  6 +-----
 lib/Makefile.am                 |  1 +
 lib/ephy-langs.c                |  2 --
 po/Makevars                     | 41 -----------------------------------------
 src/Makefile.am                 | 10 ++++------
 src/ephy-main.c                 |  2 --
 src/ephy-search-provider-main.c |  2 --
 7 files changed, 6 insertions(+), 58 deletions(-)

commit e3c3269b6bfb4f177b5b4ba3cd94d3348e5f64da
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Jun 21 17:12:06 2015 -0500

    configure.ac: move IT_PROG_INTLTOOL down to the i18n section

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit db994dd473a84f28611d409f84f591a50fb808db
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Jun 29 20:51:31 2015 -0500

    ephy-string: Remove dead code
    
    https://bugzilla.gnome.org/show_bug.cgi?id=751692

 lib/ephy-string.c | 286 ------------------------------------------------------
 lib/ephy-string.h |  16 ---
 2 files changed, 302 deletions(-)

commit ae0754c996c834c671aa89c38e1cf7cf7039b8a8
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Mon Jun 29 22:38:04 2015 +0000

    Updated Portuguese translation

 po/pt.po | 1315 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 805 insertions(+), 510 deletions(-)

commit 0b4464039e0e1175abd0f90e2700631991d643c0
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Jun 27 10:41:59 2015 +0200

    webapp: Open links to the same base domain inside the web app
    
    This fixes the case of web apps like www.foo.com that have a login
    button that loads login.foo.com. Since we are just checking the hosts,
    they are different, and the login page is opened in a different browser
    or profile, making it impossible to login inside the web app. Now, when
    the hosts are different we also check the base domain, using
    soup_tld_get_base_domain().

 embed/ephy-embed-utils.c | 20 +++++++++++++++++---
 1 file changed, 17 insertions(+), 3 deletions(-)

commit 8a1c9e21d1b1c1330caaaa67d4a6b80bb820b2e3
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Jun 27 08:48:20 2015 +0000

    Updated Turkish translation

 po/tr.po | 250 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 128 insertions(+), 122 deletions(-)

commit cc1d4a89830b3e2e689aff98c63a223ebc7f5ea1
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Jun 23 11:51:58 2015 +0300

    [release] 3.17.1

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 8619038fe2c34c13e279560a7879d62de6980775
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Mon Jun 22 21:52:53 2015 +0000

    Updated Hungarian translation

 po/hu.po | 250 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 129 insertions(+), 121 deletions(-)

commit b4ce1b4f78341deab95c13929cca3a76bcd7f241
Author: Benjamin Steinwender <b@stbe.at>
Date:   Sat Jun 20 06:29:28 2015 +0000

    Updated German translation

 help/de/de.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit e65dfb8c15b13387574d538c87e09389259f0504
Author: Benjamin Steinwender <b@stbe.at>
Date:   Sat Jun 20 06:28:07 2015 +0000

    Updated German translation

 po/de.po | 251 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 129 insertions(+), 122 deletions(-)

commit b83f0beed92a9694eed209d7bb553a78b160c7bc
Author: Miguel Vaello Martínez <miguel.vaellomartinez@gmail.com>
Date:   Wed Mar 25 22:44:36 2015 +0100

    Fix typos and remove a duplicated rule
    
    The rule "#about-subtitle" was duplicated. I assume that the second is the good one because the CSS is read sequentially and the last rule is applied instead the previous rule.
    
    The table of "memory:about" has a typo: solid and transparent properties there were concatenated by mistake.
    
    Removed some white spaces and placed some brackets next to the rule instead below.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746778

 src/resources/about.css | 63 ++++++++++++++++++++-----------------------------
 1 file changed, 26 insertions(+), 37 deletions(-)

commit 772f28933ce4952a8dc8f474e8842923a57f7f69
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Jun 12 15:10:59 2015 +0300

    web-extension: fix color of form filler popup
    
    Style context calls were missing setting the state previously
    as required by GtkStyleContext.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750842

 embed/web-extension/ephy-web-extension.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 8a3c7df10f653cd99c5325e37b5e9232ae191396
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Jun 12 14:26:15 2015 +0300

    web-extension: use proper number format for position dom properties
    
    DOM bindings use double, not long. This fixes the form filler
    popup not showing up. Use the proper DOM bindings API instead
    of g_object_get() to avoid this happening again.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750842

 embed/web-extension/ephy-web-extension.c | 11 ++++++-----
 lib/ephy-web-dom-utils.c                 | 26 +++++++++++---------------
 lib/ephy-web-dom-utils.h                 |  8 ++++----
 3 files changed, 21 insertions(+), 24 deletions(-)

commit 372b2bbb0e160997d5e47d062c50d85cac18b878
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Jun 16 13:38:17 2015 +0300

    web-extension: plug leaked string

 embed/web-extension/ephy-web-extension.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a2264372b48fb14864cb138fbdb94d650332b831
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 11 12:42:12 2015 +0300

    form-filler: port to GTask
    
    GSimpleAsync is deprecated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750768

 lib/ephy-form-auth-data.c | 21 +++++++++++----------
 1 file changed, 11 insertions(+), 10 deletions(-)

commit 3a5f7f40ed9943c7ef4110e3914b0143e09e5fba
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 15 08:49:39 2015 +0000

    Updated Spanish translation

 po/es.po | 193 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 98 insertions(+), 95 deletions(-)

commit 09da23951f31787d62953a26ebdd2d71b7d84c42
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Sep 21 13:47:03 2014 -0500

    search-provider: initialize translations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737085

 src/ephy-search-provider-main.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 269f01c98e568e18ab69b26ca59786b6f0b84304
Author: Robert Roth <robert.roth.off@gmail.com>
Date:   Fri Jun 12 15:44:31 2015 +0300

    Removed toolbar-style references from config.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728874

 data/epiphany.convert               | 1 -
 data/org.gnome.epiphany.gschema.xml | 5 -----
 lib/ephy-prefs.h                    | 9 ---------
 3 files changed, 15 deletions(-)

commit e3853d113b7ea537181fd5e9d9dba9449413422c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jun 12 12:14:16 2015 -0500

    Rename some functions
    
    I was trying so hard to be clean and keep everything in the same commit,
    then I pushed before running 'git status' to notice the unstaged
    changes... sad day.

 lib/widgets/ephy-download-widget.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 01d286be7130b07bdc620010c3a898fe67979bbd
Author: Lapo Calamandrei <calamandrei@gmail.com>
Date:   Sat Sep 13 16:32:22 2014 +0200

    Theme fixes and improvements

 lib/widgets/Makefile.am            |   4 +-
 lib/widgets/ephy-download-widget.c |  30 ++++--
 lib/widgets/totem-glow-button.c    | 156 ---------------------------
 lib/widgets/totem-glow-button.h    |  47 ---------
 src/Makefile.am                    |   1 -
 src/ephy-window.c                  |   3 +-
 src/epiphany.gresource.xml         |   1 -
 src/resources/epiphany.css         | 209 ++++++++++++++++++++++++-------------
 src/resources/epiphany.scss        | 138 ++++++++++++++++++++++++
 src/resources/incognito-tinted.png | Bin 8497 -> 0 bytes
 src/resources/parse-sass.sh        |   5 +
 11 files changed, 305 insertions(+), 289 deletions(-)

commit 3a7e46f8387ff7b465b5dbf4be288c34ef4e3d7d
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Jun 9 17:48:01 2015 +0300

    ephy-window: fix a context-menu crasher
    
    Initialize variable.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=750643

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 550b7ae458fc1db265752ba2835212169c2cd7a2
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Jun 9 16:18:25 2015 +0300

    Updated Hebrew translation

 po/he.po | 51 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 28 insertions(+), 23 deletions(-)

commit 9fdf920fd0ce664c1cb82f2deceb01d57e2709e9
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 4 17:48:25 2015 +0300

    Add context-sensitive menu option to search the web for selected text
    
    When building the context menu in the web process, use the web
    extension to find out whether there is text selected and pass it
    as custom data to the UI process. Let the UI process use the
    selection to build a new menu item that, when activated, will launch
    a new tab and search the selected text in the user-preferred search
    engine.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663545

 embed/web-extension/ephy-web-extension.c | 41 +++++++++++++++++++
 src/ephy-window.c                        | 67 ++++++++++++++++++++++++++++++++
 src/popup-commands.c                     | 20 ++++++++++
 src/popup-commands.h                     |  3 ++
 4 files changed, 131 insertions(+)

commit b516557124a4372e47418cfc51692c2d75e89aec
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 4 15:53:00 2015 +0300

    ephy-web-dom-utils: add ephy_web_dom_utils_get_selection_as_string()
    
    The DOMSelection::toString() API is only bound to JavaScript. This method
    does not work with selection inside input elements.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663545

 lib/ephy-web-dom-utils.c | 22 ++++++++++++++++++++++
 lib/ephy-web-dom-utils.h |  4 ++++
 2 files changed, 26 insertions(+)

commit b92a519ab577c1eb22f6f24dfc5c57da43746048
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Thu Jun 4 15:47:35 2015 +0300

    ephy-embed-utils: add ephy_embed_utils_autosearch_address()
    
    Factor the code to handle a search key from
    ephy_embed_utils_normalize_or_autosearch_address() to a new method to
    be able to reuse it later.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663545

 embed/ephy-embed-utils.c | 17 ++++++++++++-----
 embed/ephy-embed-utils.h |  1 +
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 96c6add558186729c38d3bb6eb070db7a7161006
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Jun 9 12:41:31 2015 +0300

    Updated Hebrew translation

 po/he.po | 94 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 49 insertions(+), 45 deletions(-)

commit a966accac946ed4b074345135cd8b64c2e60e4e0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Jun 5 08:40:51 2015 +0000

    Updated Spanish translation

 po/es.po | 8992 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 4497 insertions(+), 4495 deletions(-)

commit c54d16d37cbfdfe28e7c1c949a8e56b15314f583
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Jun 2 17:11:17 2015 +0300

    window: add a popup command to open links in incognito window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749454

 src/ephy-window.c    | 11 ++++++++++-
 src/popup-commands.c | 15 +++++++++++++++
 src/popup-commands.h |  3 +++
 3 files changed, 28 insertions(+), 1 deletion(-)

commit 5bbb98ca6c5a7136585e9ce37a1ee6ea7ff79982
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Jun 2 18:32:01 2015 +0300

    file-helpers: add helper to launch a incognito window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749454

 lib/ephy-file-helpers.c | 24 ++++++++++++++++++++++++
 lib/ephy-file-helpers.h |  1 +
 src/window-commands.c   |  4 +---
 3 files changed, 26 insertions(+), 3 deletions(-)

commit 43dd857bdda51113a357cde89556e157d61003b2
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Fri May 22 16:25:01 2015 +0700

    Updated Thai translation

 po/th.po | 344 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 187 insertions(+), 157 deletions(-)

commit 4d765786766630ad2190f95324a6c485de84268d
Author: Jordi Mas <jmas@softcatala.org>
Date:   Thu May 21 22:00:08 2015 +0200

    Fixes to Catalan translation

 po/ca.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6c43baa5d0c4651bd317c14dfa9bec9229861e47
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Tue May 12 16:14:21 2015 +0200

    Fix a syntax error in Esperanto translation

 po/eo.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f0f6ed4adee3410af39243d4d36e8ae039c9f00
Author: Claudio Saavedra <claudio@patanjali.localdomain>
Date:   Tue May 12 16:16:23 2015 +0300

    [release] 3.16.1

 NEWS         | 7 +++++++
 configure.ac | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 2c319bbda4fb95900917ed2d981acb9cbf352522
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Fri Apr 24 00:12:45 2015 +0200

    Updated Esperanto translation

 po/eo.po | 4142 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 1693 insertions(+), 2449 deletions(-)

commit b3221c7ed5d472999413926e5aa48b4ba2395110
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Apr 23 11:15:49 2015 +0200

    Updated Spanish translation

 help/es/es.po | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 6772d260bf5d46d30e3c50a57f4832ef03fcda16
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Mon Apr 13 14:07:38 2015 +0300

    Updated Greek help translation

 help/el/el.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f27d00275e3854ab2cd288174febfbc9070fcf04
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Apr 12 19:56:40 2015 +0200

    Update Arabic translation

 po/ar.po | 1422 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 793 insertions(+), 629 deletions(-)

commit 800bfe5fdb0c03ea47b54179ea4435f2d1ba8154
Author: Jordi Mas <jmas@softcatala.org>
Date:   Fri Apr 10 12:14:32 2015 +0200

    Update Catalan translation

 po/ca.po | 632 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 331 insertions(+), 301 deletions(-)

commit 8647ea19fe40921a87b0cea91a2e3c70b7d84e33
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Tue Apr 7 22:30:25 2015 +0000

    Updated Hungarian translation

 help/hu/hu.po | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit c0b8d8dff9eddfee30c5bdfd24dd65d9e1185ecb
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Apr 3 20:13:54 2015 +0300

    Updated Latvian translation

 po/lv.po | 1549 ++++++++++++++------------------------------------------------
 1 file changed, 337 insertions(+), 1212 deletions(-)

commit 047ee51b3244cc2d99d08ee97249b859b6ea3075
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Apr 2 22:03:53 2015 +0200

    Udated Czech translation

 help/cs/cs.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8bdc8f62c1dc92c50c078b400a79b9da3f874ec6
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Apr 1 14:36:32 2015 +0200

    Fix typos in documentation

 doc/debugging.txt             | 2 +-
 help/C/pref-do-not-track.page | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b6201858192f5bddb6c282544c7b782b18370205
Author: Mario Sanchez Prada <mario@endlessm.com>
Date:   Thu Feb 19 15:47:28 2015 +0000

    Use GtkSettings 'gtk-xft-dpi' property to keep track of DPI changes
    
    Use that property to find the screen's resolution for font handling
    instead of gdk_screen_get_resolution(), and also connect a callback
    to notify::gtk-xft-dpi so that we can update the font size when the
    DPI value changes for the screen, and not just on startup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744796

 embed/ephy-embed-prefs.c | 48 +++++++++++++++++++++++++++++++++++-------------
 1 file changed, 35 insertions(+), 13 deletions(-)

commit dc32779e1a1c30a3794d46f8eb7024a23428d636
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Tue Mar 24 10:05:50 2015 +0000

    Updated Italian translation

 po/it.po | 602 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 307 insertions(+), 295 deletions(-)

commit f44b7a0ade54a82c3c6d03088abb0796aa1dd88d
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Mar 24 11:55:04 2015 +0200

    [release] 3.16.0

 NEWS         | 12 ++++++++++++
 configure.ac |  4 ++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 6021f11f23f3c2cabf9cf0b9b78ad8056bbb740d
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Mar 24 04:23:00 2015 +0000

    Updated Indonesian translation

 po/id.po | 587 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 302 insertions(+), 285 deletions(-)

commit 3b41a4ce4d74efe0272d452436b55a3c54632f1e
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Mar 23 18:41:41 2015 +0100

    Updated Basque language

 po/eu.po | 251 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 137 insertions(+), 114 deletions(-)

commit 5a1ae3ec159c069abe53dcfb272261290169d5dc
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Mar 23 03:05:08 2015 +0900

    l10n: Update Japanese translation

 po/ja.po | 232 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 127 insertions(+), 105 deletions(-)

commit 9b5e8affe5bd3d5bb3363c3927e4023cef7a4f8e
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Mar 22 14:04:09 2015 +0000

    Updated Turkish translation

 po/tr.po | 59 ++++++++++++++++++++++++++---------------------------------
 1 file changed, 26 insertions(+), 33 deletions(-)

commit 0da60924a6ba3df2aad0102bb87a135a15bf293b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sun Mar 22 10:08:13 2015 +0100

    Updated Slovenian translation

 po/sl.po | 560 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 298 insertions(+), 262 deletions(-)

commit 8b3b97bb4d1be55e93789fb848e02e9841315dbf
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Wed Mar 18 15:38:53 2015 +0000

    Updated German translation

 po/de.po | 364 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 200 insertions(+), 164 deletions(-)

commit b57a76dbe14b16749312a9316124e135c437c353
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Mar 18 09:59:25 2015 -0500

    Revert "Use GtkSettings 'gtk-xft-dpi' property to keep track of DPI changes"
    
    This reverts commit e576aee616245907f86c773f75f1ca4b7446f686.
    
    Just because we're in hard code freeze; we'll push this again after
    3.16.0.

 embed/ephy-embed-prefs.c | 48 +++++++++++++-----------------------------------
 1 file changed, 13 insertions(+), 35 deletions(-)

commit e576aee616245907f86c773f75f1ca4b7446f686
Author: Mario Sanchez Prada <mario@endlessm.com>
Date:   Wed Mar 18 14:22:35 2015 +0000

    Use GtkSettings 'gtk-xft-dpi' property to keep track of DPI changes
    
    Use that property to find the screen's resolution for font handling
    instead of gdk_screen_get_resolution(), and also connect a callback
    to notify::gtk-xft-dpi so that we can update the font size when the
    DPI value changes for the screen, and not just on startup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744796

 embed/ephy-embed-prefs.c | 48 +++++++++++++++++++++++++++++++++++-------------
 1 file changed, 35 insertions(+), 13 deletions(-)

commit d79dcfba83cc3bcd9686accaafb59f5fba6e0d19
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Tue Mar 17 22:28:07 2015 +0000

    Updated German translation

 help/de/de.po | 1632 ++++++++++++++++++++++++++++-----------------------------
 1 file changed, 803 insertions(+), 829 deletions(-)

commit 583b70a746a2110eab8dcdd6682cdbf3995ddd5a
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Mar 17 21:22:51 2015 +0200

    [release] 3.15.92

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit f4c9e18fd0ea969d66390c72aaa2291f3e8496b4
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Mar 17 12:41:19 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 46 +++++++++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit 69985a086179cd0ff64546e4bfb02b2ac7a3d640
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Mar 15 21:15:58 2015 +0000

    Updated Swedish translation

 po/sv.po | 321 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 172 insertions(+), 149 deletions(-)

commit c9c58770bcfbb43bf7c232a45128695dc60ec85a
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Mar 14 19:52:25 2015 +0100

    Updated Danish translation

 po/da.po | 598 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 314 insertions(+), 284 deletions(-)

commit 2a8f7c3073cd65f1fa2f8875140057aca2d998a8
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Mar 14 15:24:45 2015 +0000

    Updated Kazakh translation

 po/kk.po | 612 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 320 insertions(+), 292 deletions(-)

commit e04d87a67a4c62a5c83c63ecea2446b4e21af4ee
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Sat Mar 14 00:12:50 2015 +0000

    Updated Hungarian translation

 help/hu/hu.po | 167 +++++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 124 insertions(+), 43 deletions(-)

commit d4eaa2772e5e0b02d9bd9475e6a82b80ccc1c4ea
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 20:27:11 2015 +0000

    Updated Bosnian translation

 po/bs.po | 4734 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 2064 insertions(+), 2670 deletions(-)

commit c3aca6599902ec92726355a2fec24d726c2afc27
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Mar 12 10:38:16 2015 +0200

    Updated Bulgarian translation

 po/bg.po | 616 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 318 insertions(+), 298 deletions(-)

commit dbb2d8dd723385f33d60bc6ddab600399405d988
Author: Stas Solovey <whats_up@tut.by>
Date:   Wed Mar 11 22:11:32 2015 +0000

    Updated Russian translation

 po/ru.po | 74 +++++++++++++++++++++++++---------------------------------------
 1 file changed, 29 insertions(+), 45 deletions(-)

commit e191d09b1357ca03e58d0dd89ae6b8f51079b5d7
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Thu Mar 12 02:40:27 2015 +0900

    Updated Korean translation

 po/ko.po | 590 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 311 insertions(+), 279 deletions(-)

commit 961832e3b66419183bc37b45479341257df64b99
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:   Wed Mar 11 16:54:06 2015 +0200

    Finnish translation update

 po/fi.po | 686 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 358 insertions(+), 328 deletions(-)

commit 5595e0ee2972c5bce1970504f5fcfb6f55452607
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:   Tue Mar 10 19:08:56 2015 +0100

    Updated Polish translation

 po/pl.po | 584 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 302 insertions(+), 282 deletions(-)

commit 7c211500f8fbffdf9ba5862c798a4bdf88b2e6b0
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue Mar 10 12:34:57 2015 +0000

    Updated Swedish translation

 po/sv.po | 50 +++++++++++++++++++++++++++-----------------------
 1 file changed, 27 insertions(+), 23 deletions(-)

commit 9529d66d106ee804fdb0523f1576ffcd8da6b904
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 9 19:35:29 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 60 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 35 insertions(+), 25 deletions(-)

commit 0e284ca18fd7e16ea2464357c813ff4e4b3e1de0
Author: Guillaume Bernard <translate@filorin.fr>
Date:   Mon Mar 9 09:00:35 2015 +0000

    Updated French translation

 po/fr.po | 619 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 322 insertions(+), 297 deletions(-)

commit 52f632dd969f2b69ba5ba7ce4998eacbc9cf7340
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Mar 8 21:22:35 2015 +0100

    Updated Spanish translation

 po/es.po | 58 +++++++++++++++++++++++++++-------------------------------
 1 file changed, 27 insertions(+), 31 deletions(-)

commit bd5ec7b2a65698af81cb3a16c02a22e08240a2cf
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Mar 8 19:23:00 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 89 +++++++++++++++++++---------------------------------------------
 1 file changed, 26 insertions(+), 63 deletions(-)

commit 52b285f5a3b2cf5350eda776d4cb5c61f713e74f
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Mar 8 13:02:45 2015 +0200

    Updated Ukrainian translation

 po/uk.po | 99 ++++++++++++++++++++--------------------------------------------
 1 file changed, 30 insertions(+), 69 deletions(-)

commit b12c90dce8702820a018f1cba09d3fa7bb76f5b0
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Thu Mar 5 23:13:19 2015 +0000

    Updated Hungarian translation

 po/hu.po | 63 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 30 insertions(+), 33 deletions(-)

commit 43c602041b2b2f0a12211a5b4afeeab64d7d6242
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 5 20:02:36 2015 +0100

    Updated Serbian translation

 po/sr.po       | 96 ++++++++++++++++++----------------------------------------
 po/sr@latin.po | 96 ++++++++++++++++++----------------------------------------
 2 files changed, 58 insertions(+), 134 deletions(-)

commit ed9e59a256229109b726b288acb89ee97c8ebc76
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Wed Mar 4 19:15:28 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 55 ++++++++++++++++++++++++++++++-------------------------
 1 file changed, 30 insertions(+), 25 deletions(-)

commit ff027c61b48d354beceebfe2b6a37c27fb2ad139
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 21 10:19:24 2015 -0600

    Fix UI process crash if the web process crashes on start
    
    Currently there is a WebKit bug that causes the web process to crash
    when we use webkit_web_view_load_alternate_html() on a local page, say
    because Epiphany was closed when a file:// URI was opened in an embed
    other than the focused embed. That crash occurs after
    web_extension_appeared_cb() but prior to
    web_extension_proxy_created_cb(), triggering a call to
    web_extension_vanished_cb(), which deletes the EphyWebExtensionProxy
    object that is expected to still be alive when
    web_extension_proxy_created_cb() is called, crashing the UI process.
    We can fix this with a ref/unref pair.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744896

 embed/ephy-web-extension-proxy.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 085f73a88bcd033175808196b77accb52b1e79fe
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Wed Aug 6 18:09:41 2014 +0300

    ephy-find-toolbar: Toggle the search bar with Ctrl+F
    
    If the search bar are shown, Ctrl+F will hide it.
    Otherwise Ctrl+F will show the search bar and than
    focus the search entry.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734316

 embed/ephy-find-toolbar.c | 13 +++++++++++++
 embed/ephy-find-toolbar.h |  2 ++
 src/window-commands.c     |  2 +-
 3 files changed, 16 insertions(+), 1 deletion(-)

commit eb0e83f089f383bf51ed2da74598786546bca363
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Sun Apr 27 20:47:53 2014 +0300

    ephy-window: Make F6 focus address entry
    
    https://bugzilla.gnome.org/show_bug.cgi?id=729060

 src/ephy-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 08f10c603eb0eed98ee8c2e58db4d7c16e2e9263
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Mar 4 12:54:51 2015 +0100

    Updated Czech translation

 po/cs.po | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 8a99b7b694abee71b93a98de335a8703f4c44c11
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Wed Mar 4 10:59:56 2015 +0000

    Updated Slovak translation

 po/sk.po | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit f8f41f46e034d48d4e7784fd0ef5c72cc8e692fc
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 3 23:30:52 2015 +0100

    Updated Galician translations

 po/gl.po | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit a5c179259193ea3875c30cc78ff16f57dd519d53
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Tue Mar 3 22:06:51 2015 +0000

    Updated Greek translation

 po/el.po | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 4ec5f4878a72da21acc659a50523e0bb0792b6fd
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Mar 3 23:08:25 2015 +0200

    Updated Hebrew translation

 po/he.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit cc19c11d80c319695ce668cce3038df0651fe97e
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Mar 3 15:03:35 2015 -0600

    New Incognito Window desktop action should be marked for translation

 data/epiphany.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85b8ed7c7e14a0d0dde2a49d4d386b7b20066f4d
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Tue Mar 3 22:41:37 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 657 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 345 insertions(+), 312 deletions(-)

commit 4a88a0fa46f4d20f3bc4ae6284f85d09f1921623
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Mar 3 18:39:04 2015 +0100

    Updated Serbian translation

 po/sr.po       | 669 ++++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po | 669 ++++++++++++++++++++++++++++++---------------------------
 2 files changed, 704 insertions(+), 634 deletions(-)

commit fe5d5eeb3e21b04ed4774b4cee459326424036ba
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Sun Mar 1 23:49:05 2015 +0100

    Updated Galician translations

 po/gl.po | 212 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 117 insertions(+), 95 deletions(-)

commit 4e2f394566afb89df8e8b44ffb2669aec51fc6d9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Feb 27 13:07:43 2015 -0600

    Fix crash when receiving a NULL string from DOM bindings
    
    As of WebKitGTK+ 2.6.5: "Object DOM bindings API now correctly returns
    NULL intead of empty strings to be able to differentiate between not
    present and present but empty."
    
    This was causing crashes on e.g.
    http://www.publico.pt/local/noticia/sindicato-anuncia-adiamento-de-greve-no-metro-de-lisboa-1687386
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745306

 lib/ephy-web-dom-utils.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7a389deae278d2eba1143cf49987ab60b762c685
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Feb 27 21:42:07 2015 +0000

    Updated Hungarian translation

 po/hu.po | 217 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 122 insertions(+), 95 deletions(-)

commit cda774327352a26d86be35a7e1f1f44fc86ce668
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Feb 26 12:54:09 2015 -0600

    web-extension: Pass the right .pc file to PKG_CHECK_MODULES
    
    We're using the UI process .pc file for the web extension, but did not
    notice because the contents of the .pc files are identical.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745247

 configure.ac | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 49cf19185513acbba151e396c43965315b2d735e
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Feb 27 11:27:40 2015 +0000

    Updated Greek translation

 help/el/el.po | 1417 ++++++++++++++++++++++++++-------------------------------
 1 file changed, 648 insertions(+), 769 deletions(-)

commit 6ae60e0c1225e028747925d3c42275201e2b38dc
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Feb 27 09:36:31 2015 +0000

    Updated Greek translation

 po/el.po | 29 ++++++++---------------------
 1 file changed, 8 insertions(+), 21 deletions(-)

commit e5b051eda5f7e40982585f8fc9461684d9516172
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Feb 25 11:46:51 2015 +0200

    [release] 3.15.90

 NEWS         | 15 +++++++++++++++
 configure.ac |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit e6da3fdac8c9f9bac639838ac8d3ce5c04f582c7
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Wed Feb 25 05:07:41 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 193 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 106 insertions(+), 87 deletions(-)

commit cebda52c7ee3d9528c880522c2df5e8d11abbd32
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Mon Feb 23 21:53:46 2015 +0100

    Updated Slovenian translation

 po/sl.po | 31 ++++++++++++++++++++++++-------
 1 file changed, 24 insertions(+), 7 deletions(-)

commit 6391fe37caa3a6656953d59497cc9a6655e563e2
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Feb 21 16:32:58 2015 +0000

    Updated Slovak translation

 po/sk.po | 204 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 114 insertions(+), 90 deletions(-)

commit ace50545131c90622ec04b0ec674e51b5c41814e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 21 10:34:16 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 577 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 299 insertions(+), 278 deletions(-)

commit f56c07158af67f6a10f3b8d8e18a0c8385b90589
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Fri Feb 20 20:00:14 2015 +0000

    Updated Turkish translation

 po/tr.po | 625 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 396 insertions(+), 229 deletions(-)

commit 4a0956888187fbed901caf3b75d1195af9183e25
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:   Fri Feb 20 18:14:39 2015 +0000

    Updated Greek translation

 po/el.po | 609 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 311 insertions(+), 298 deletions(-)

commit a568633ecfe3fb2ccfe0d4afc49c73fda237a4c9
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Feb 19 16:59:51 2015 +0000

    Updated Swedish translation

 po/sv.po | 713 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 306 insertions(+), 407 deletions(-)

commit 007184ced8a15c52fb44a1923daf9fa5dca05335
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Feb 14 20:44:19 2015 +0100

    Updated Slovenian translation

 po/sl.po | 583 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 388 insertions(+), 195 deletions(-)

commit bfdc746d0987b1561395e9eccd69102b0ef46587
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Feb 11 16:37:16 2015 -0600

    Fix crash when we can't connect to the session bus
    
    This GError is never initialized. g_application_get_dbus_connection()
    does not take a GError.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744360

 embed/ephy-embed-shell.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 7bddf72942580ad9946c724f37edd63d9cd65daf
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Feb 6 07:59:44 2015 -0600

    Free profile_directory before quitting
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728536

 src/ephy-main.c | 1 +
 1 file changed, 1 insertion(+)

commit 57c1a01c289ebfebe6561b52c2aaa03051b0d422
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Feb 6 07:58:59 2015 -0600

    Fix incognito mode desktop action
    
    Solution by Gustavo Noronha
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728536

 src/ephy-main.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 1574e9a76de609a43e63d5a5098cd01ce0d1216c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 10 22:52:49 2015 +0200

    Updated Ukrainian translation

 po/uk.po | 648 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 354 insertions(+), 294 deletions(-)

commit a81323be7104788b7afa5d1c883237678f062a4b
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Feb 10 00:26:35 2015 +0200

    Updated Hebrew Translation

 po/he.po | 200 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 109 insertions(+), 91 deletions(-)

commit 5b4c0a650cd94df0e188615da2a65ef783645478
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 9 20:11:39 2015 +0100

    Updated Spanish translation

 po/es.po | 212 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 119 insertions(+), 93 deletions(-)

commit 9a1ccabbb52b52bfd217351c67ab4aada1cfccd1
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Feb 9 09:02:02 2015 +0100

    Updated Czech translation

 help/cs/cs.po | 646 ++++++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 603 insertions(+), 43 deletions(-)

commit 04e1f6d2d4a8cd486afabfd1d2ecff2f4134af13
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 9 00:46:11 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom.

 po/nb.po | 590 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 324 insertions(+), 266 deletions(-)

commit 577acf234bb56c0b7f332aaec8b5618287f09641
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Feb 9 00:07:55 2015 +0100

    Updated Czech translation

 po/cs.po | 138 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 69 insertions(+), 69 deletions(-)

commit ee1d810c96b07dcb1cfb2c8cb364d1c0fcf00da2
Author: Stas Solovey <whats_up@tut.by>
Date:   Sun Feb 8 21:07:09 2015 +0000

    Updated Russian translation

 po/ru.po | 152 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 85 insertions(+), 67 deletions(-)

commit 3a26cf23ed71d3de8683b36da3ff2db0979421cd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Feb 7 20:14:26 2015 -0600

    Remove cache size preference
    
    There is no way to set the cache size in WebKit2, and the max size is
    ludicrously lower (sans bugs) than anybody would care about.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737808

 data/org.gnome.epiphany.gschema.xml |  5 ---
 lib/ephy-prefs.h                    |  1 -
 src/prefs-dialog.c                  | 19 +++-----
 src/resources/prefs-dialog.ui       | 90 +++++++++++--------------------------
 4 files changed, 32 insertions(+), 83 deletions(-)

commit dd275eb432c8a7fbcd6b97a9a134a089eb92bc76
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Feb 6 10:35:09 2015 -0600

    Fix the search provider
    
    The search provider is crashing on start since
    3806c195d631cc55f2cef64c4be6bc733745e730. EphyEmbedShell needs to create
    a WebKitWebContext.
    
    We could also try to inherit EphySearchProvider from EphyShell and then
    run EphyEmbedShell as a GApplication, but that is really horrible
    madness.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741595

 embed/ephy-embed-shell.c        | 5 +++--
 embed/ephy-embed-shell.h        | 3 ++-
 src/Makefile.am                 | 2 ++
 src/ephy-search-provider-main.c | 4 ++++
 4 files changed, 11 insertions(+), 3 deletions(-)

commit 8fd1c8ab9a11906b7efde972171462c23414d568
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Feb 5 14:11:53 2015 -0600

    Improve incognito mode description
    
    Some people are really confused by the purpose of incognito mode.
    
    Make it crystal clear what this does and doesn't do. Reduce the amount
    of bold text to emphasize the proper part of the warning.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744069

 embed/ephy-about-handler.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 6eb040d0c8a339e3262a394d90e8646d507cbe31
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Feb 5 20:48:13 2015 +0000

    Updated Russian translation

 po/ru.po | 75 +++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 43 insertions(+), 32 deletions(-)

commit 7a9d5fb0c93c042637e32ba8992b89613658f924
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Feb 4 20:45:20 2015 -0600

    Show a network error page when a G_TLS_ERROR is received
    
    We don't expect a G_TLS_ERROR here, so we hit the g_return_val_if_fail
    and wind up displaying a blank page with the error message in plain
    text. We should display the network error page instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744025

 embed/ephy-web-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1ea2679490067e573b93b985515ffefd92c4014c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Feb 3 14:18:45 2015 -0600

    MHTML files should be displayed in the file chooser
    
    Whatever determines MIME types on GNOME is picking
    application/x-mimearchive for MHTML. Sync our recognized MIME types with
    the desktop file.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743664

 lib/ephy-file-chooser.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 9033f72d1f425bc7df2475d7418c74ef8fdb653e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Feb 4 13:14:05 2015 +0100

    Updated Spanish translation

 help/es/es.po | 63 +++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 50 insertions(+), 13 deletions(-)

commit 29ddf213376941685fb38ef59b58512f9204763d
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Feb 3 22:08:37 2015 +0100

    Updated Czech translation

 po/cs.po | 59 ++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 34 insertions(+), 25 deletions(-)

commit b67a1059ff1583b500253e3ef6d4424d6f1975db
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Fri Dec 12 12:24:08 2014 +0100

    Missing ellipses on the preferences dialog
    
    mcatanzaro: aday: Hey! When you have a menu item that opens a dialog you
    have to use ellipses to indicate that further input will be required.
    Does that rule also apply to text buttons that open dialogs?01:52:47 PM
    aday: mcatanzaro: yep01:54:05 PM
    aday: the label has to be an action though01:54:28 PM
    aday: Print...01:54:34 PM
    aday: Open...01:54:36 PM
    aday: i saw Properties... the other day01:54:46 PM
    aday: that's wrong01:54:49 PM
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741436

 src/resources/prefs-dialog.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f47222869d717bb6b374245e3dcc6f05e0289bb4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 12:06:23 2014 +0100

    Improve title of Add Bookmark dialog
    
    "page title" Properties is a really strange name for the add bookmark
    dialog. This looks like an oversight.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741388

 src/bookmarks/ephy-bookmark-properties.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 970d9845e2fac07b1cb4112d075e293d307e4978
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 16 17:25:25 2015 -0600

    embed-prefs: properly update spell check langs when changed
    
    When the list of languages is changed, don't forget to update the list
    of languages for which spell checking is enabled. Otherwise, spell
    checking for the newly-selected language(s) won't work until the browser
    is restarted.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743068

 embed/ephy-embed-prefs.c | 62 ++++++++++++++++++++++++++----------------------
 1 file changed, 34 insertions(+), 28 deletions(-)

commit 3cc9ca43b7599da914e6149685cd9b43f0971012
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 16 18:10:04 2015 -0600

    Reorganize webkit_pref_callback_enable_spell_checking
    
    Notably, don't call webkit_web_context_set_spell_checking_languages with
    NULL, to avoid a critical warning.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697095

 embed/ephy-embed-prefs.c | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit a9dd55510ce3918357b52ec47b0031d97d21ab8c
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 16:36:05 2014 +0100

    Fix color of add button on add language dialog
    
    This button should be blue when sensitive.
    
    Instead of manually packing the buttons into the header bar, let GTK+
    handle them, so we don't screw with its heuristics for setting the color
    of the buttons.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741403

 src/resources/prefs-lang-dialog.ui | 62 +++++++++++++-------------------------
 1 file changed, 21 insertions(+), 41 deletions(-)

commit a0d0cf8f5c8896a1ef911b50513a12f6f5d510c5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Jan 8 23:32:51 2015 -0600

    Use a Don't Save button on the save password info bar
    
    The standard close image button looks bad next to a text button.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738865

 embed/ephy-web-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b2a1f0244840745922390c3778c5f1598cadee0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Jan 8 23:32:11 2015 -0600

    Add missing mnemonic to save password infobar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738865

 embed/ephy-web-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 479aa391775468d7ec358d623e82bb8c92230a47
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Jan 22 14:14:39 2015 +0100

    Show a speaker icon in tabs that are playing audio
    
    https://bugzilla.gnome.org/show_bug.cgi?id=743264

 configure.ac        |  2 +-
 src/ephy-notebook.c | 24 ++++++++++++++++++++++--
 2 files changed, 23 insertions(+), 3 deletions(-)

commit 0243cbd3a7e0b72684b07d9380743d511a2b6a4a
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Dec 11 12:31:41 2014 +0100

    app-mode: Allow to access the the url bar in application mode
    
    It's not editable but you can copy-paste the URL for example.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741392

 src/ephy-lockdown.c | 7 ++++---
 src/ephy-window.c   | 4 +++-
 2 files changed, 7 insertions(+), 4 deletions(-)

commit f324382cfcb879979abdbc9d10cd64ba17d2d69f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 2 11:54:21 2015 +0100

    Updated Spanish translation

 help/es/es.po | 123 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 79 insertions(+), 44 deletions(-)

commit 72274deef9fdb6863be8b7dddcedad8b9d15c484
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Mon Feb 2 09:56:09 2015 +0000

    Updated Icelandic translation

 po/is.po | 4490 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 2117 insertions(+), 2373 deletions(-)

commit 260509b735f76f7ce3c4848cc5c3fe34d6feca13
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Feb 1 21:48:52 2015 +0000

    Updated Slovak translation

 po/sk.po | 853 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 329 insertions(+), 524 deletions(-)

commit e0526014aa282c5206dd314af6652fd99c117b7b
Author: Stas Solovey <whats_up@tut.by>
Date:   Fri Jan 30 12:58:42 2015 +0000

    Updated Russian translation

 po/ru.po | 477 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 222 insertions(+), 255 deletions(-)

commit 0200d9e7fd41ec27bc20f1602b49536611507797
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Jan 29 18:42:08 2015 -0600

    Tweaks for the new certificate help page
    
    https://bugzilla.gnome.org/show_bug.cgi?id=739326

 help/C/cert.page | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b89065ad3de11dbad30afc0fb535fd1ff934851e
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Wed Jan 28 16:11:53 2015 +0000

    help: try to write about certificates, bug 739326

 help/C/cert.page | 34 ++++++++++++++++++++++++++++++++++
 help/Makefile.am |  1 +
 2 files changed, 35 insertions(+)

commit 60ddeb549f51d5a45baf7f068f58de62e226eed1
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Jan 26 22:01:35 2015 +0200

    Updated Hebrew Translation

 po/he.po | 393 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 200 insertions(+), 193 deletions(-)

commit b7b8859877c72a665bfd3b9c3aeb7b18cb0802a0
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Mon Jan 26 14:37:55 2015 +0000

    help: fix up version tracking for browse-webapps*

 help/C/browse-webapps-del.page |  4 ++--
 help/C/browse-webapps.page     | 13 ++++++-------
 2 files changed, 8 insertions(+), 9 deletions(-)

commit 87eb41f6ac1b1615a6d45256c428b1d7eca4720f
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Mon Jan 26 14:26:40 2015 +0000

    help: add page about deleting webapps, bug 743295

 help/C/browse-webapps-del.page | 45 ++++++++++++++++++++++++++++++++++++++++++
 help/Makefile.am               |  1 +
 2 files changed, 46 insertions(+)

commit f5b98577b235836d7b598203eb6de59714d821e4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 26 11:47:30 2015 +0100

    Updated Spanish Translation

 po/es.po | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit dae412384207e1c0030a2ca721a1717db2b49778
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Jan 20 01:13:14 2015 +0900

    l10n: Update Japanese translation

 po/ja.po | 171 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 89 insertions(+), 82 deletions(-)

commit 969d8f7d69e65fe3b6e64a4461afd33bfeb45661
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sat Jan 17 04:31:41 2015 +0100

    Remove incorrect+fuzzy bn translation - bug #569565

 po/bn.po | 5614 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 3095 insertions(+), 2519 deletions(-)

commit c4bf7499ab2cac1225987b378452a413ee7f13ec
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 16 17:53:03 2015 -0600

    Remove unused variable

 embed/ephy-embed-prefs.c | 3 ---
 1 file changed, 3 deletions(-)

commit 829bb202a23856a9627815aedc69171273e4319e
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Jan 13 00:39:56 2015 +0100

    Updated Galician translations

 po/gl.po | 392 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 199 insertions(+), 193 deletions(-)

commit f26a57f88bbd17d5341f069c98008d789303eafb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 12 12:15:28 2015 +0100

    Updated Spanish translation

 po/es.po | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit ff9e37944c5604ad7c01b0cce041fc305656b064
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Fri Jan 9 01:08:42 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 870 ++++++++++++++++++++++++------------------------------------
 1 file changed, 351 insertions(+), 519 deletions(-)

commit 77294750941679f319047fde96a230dd7307683c
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Jan 7 09:00:57 2015 +0100

    Updated Czech translation

 po/cs.po | 148 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 77 insertions(+), 71 deletions(-)

commit 98d4805f3244e74be16f77a0a4a7059c355f45d1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Dec 30 17:03:04 2014 +0100

    Updated Basque language

 po/eu.po | 653 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 425 insertions(+), 228 deletions(-)

commit c821471ccb0c0eaaa83d2b20375c8103f3a0e90a
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Mon Dec 29 19:38:59 2014 +0000

    Updated Hungarian translation

 po/hu.po | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

commit 3e622404c0d8a4799ed2963ed73ad555591cb64d
Author: Rastus Vernon <Rastus.Vernon@gmail.com>
Date:   Mon Dec 29 06:15:01 2014 -0500

    Correct the possible values for setting cookies-policy
    
    The actual possible values are "never", "always" and "no-third-party".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=742084

 data/org.gnome.epiphany.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94918ec9749d6d1b7735b0397db90790674ec98e
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Mon Dec 29 09:04:10 2014 +0000

    Updated Hungarian translation

 help/hu/hu.po | 165 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 107 insertions(+), 58 deletions(-)

commit ea146713a44340bbe33da7a6805c79bb6d07fcfa
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Sun Dec 28 11:18:28 2014 +0000

    Updated Swedish translation

 po/sv.po | 390 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 213 insertions(+), 177 deletions(-)

commit 22765d4b038336a83033788227ca61622708f0d3
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Sat Dec 20 22:04:20 2014 +0000

    help: fix duplicate ID which was added in 4f9a7ef

 help/C/browse-tab.page | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 1b705c99f622be4cdeaff205df96e90616e3cfb8
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sat Dec 20 11:07:15 2014 +0000

    Updated Hungarian translation

 po/hu.po | 171 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 75 insertions(+), 96 deletions(-)

commit f14779861005359c072ed8f9af25785b42716918
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 18 13:18:28 2014 +0100

    Updated Spanish translation

 help/es/es.po | 164 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 106 insertions(+), 58 deletions(-)

commit 2372d8f030d275f8ebac1b39425820b36ec8223f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Dec 17 12:29:19 2014 +0100

    Updated Spanish translation

 po/es.po | 413 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 196 insertions(+), 217 deletions(-)

commit 0b6fc8136a0941f078bdfac31e8fe388126187bc
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Tue Dec 16 09:50:17 2014 -0200

    Bump WebKitGTK+ requirements to 2.7.3
    
    We use the notifications permission request added by that version.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10b74cc94f396120d3644de4ea3b8bbb0b33c606
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Tue Dec 9 15:19:57 2014 +0100

    Also handle notification permission requests
    
    Now that WebKit has API and a default implementation for HTML5 notifications,
    handle premissions for those requests as well.
    
    This needs this patch: http://webkit.org/b/61140
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741295

 embed/ephy-web-view.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 5b25f91f8449db3d032b949a58c806928f5c0b24
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Dec 11 16:14:15 2014 +0100

    Add New Incognito Window desktop action
    
    This will appear when you right click on the Epiphany launcher in GNOME
    Shell >= 3.12.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736333

 data/epiphany.desktop.in.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 954b6e6e62b381974db31d895e85af0012aa2af0
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Aug 6 15:29:25 2014 -0500

    Rename epiphany.ui to encoding-dialog.ui
    
    It only contains the encoding dialog
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734379

 po/POTFILES.in                                    | 2 +-
 src/Makefile.am                                   | 2 +-
 src/ephy-encoding-dialog.c                        | 2 +-
 src/epiphany.gresource.xml                        | 2 +-
 src/resources/{epiphany.ui => encoding-dialog.ui} | 0
 5 files changed, 4 insertions(+), 4 deletions(-)

commit 162e49ca7b215fba50f15b4fdeb21f9541d81633
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Dec 9 19:47:01 2014 +0100

    Don't crash when a database access fails
    
    Database accesses can fail for many reasons, none of which merit a
    crash. In particular, this should fix
    https://bugzilla.redhat.com/show_bug.cgi?id=1065494
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740396

 lib/ephy-sqlite-connection.c                    |  6 ++--
 lib/history/ephy-history-service-hosts-table.c  | 40 ++++++++++++-------------
 lib/history/ephy-history-service-urls-table.c   | 40 ++++++++++++-------------
 lib/history/ephy-history-service-visits-table.c | 22 +++++++-------
 lib/history/ephy-history-service.c              | 14 ++++-----
 5 files changed, 61 insertions(+), 61 deletions(-)

commit ba73f407aa54ebea9f56760b1a5986383c67a1e2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Dec 9 09:50:15 2014 +0100

    configure.ac: remove useless uses of AC_SUBST

 configure.ac | 7 -------
 1 file changed, 7 deletions(-)

commit 0c656af35302624040f07688a6adb79bb8512eea
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Dec 7 20:11:39 2014 +0100

    Don't set AM_CFLAGS in configure.ac
    
    This makes it impossible to use AM_CFLAGS, a useful variable, without
    manually overwriting the value given in configure.ac. Instead, just
    add WARN_CFLAGS to AM_CFLAGS everywhere.
    
    Also, stop setting several other variables with empty values.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741223

 configure.ac                    | 4 +---
 embed/Makefile.am               | 2 ++
 embed/web-extension/Makefile.am | 2 ++
 lib/widgets/Makefile.am         | 2 ++
 src/Makefile.am                 | 2 ++
 src/bookmarks/Makefile.am       | 2 ++
 6 files changed, 11 insertions(+), 3 deletions(-)

commit 8c9e73d57bac41bc65e7283929932f06f88da9c4
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Dec 7 19:42:14 2014 +0100

    Never override CFLAGS in a makefile
    
    This prevents the user from specifying his own desired CFLAGS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741223

 tests/Makefile.am | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit c84213d29f34f25ed342ed4dda4d3f8f8048c076
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Tue Dec 9 15:29:01 2014 +0700

    Updated Thai translation

 po/th.po | 2505 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1438 insertions(+), 1067 deletions(-)

commit 422dcb660f462782d5c93c09cdcaf05e3179d1ef
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Mon Dec 8 18:45:48 2014 +0100

    prefs-dialog: Make sure locale changes do not lose search engine
    
    Add a stock unstranslatable url to be stored in gsettings so that
    locale changes do not confuse the settings dialog.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741255

 src/prefs-dialog.c            | 17 ++++++++++++++---
 src/resources/prefs-dialog.ui |  2 ++
 2 files changed, 16 insertions(+), 3 deletions(-)

commit 1a787457441dd10e89960444eb7993f68e6824e3
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Mon Dec 8 17:44:24 2014 +0100

    prefs-dialog: plug a leaked string

 src/prefs-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit 572263541fe49400c4a3dac3a86975b6472a19fc
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Sun Dec 7 19:22:06 2014 +0100

    [release] 3.15.1

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit cdefa4fa6a331429367ec7ffc3f0b6429a39c8f1
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Sun Dec 7 19:15:24 2014 +0100

    tests: fix ephy-bookmarks-test
    
    Explicitly create a EphyEmbedShell in test mode.

 tests/ephy-bookmarks-test.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ca7f782425c7162258971ca7e3e2532c3da3d5fc
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Sun Dec 7 19:14:45 2014 +0100

    ephy-embed-shell: properly initialize for test mode
    
    GApplication's startup() doesn't run when in test mode, so make sure
    that the web context and user content manager are properly created for
    them.

 embed/ephy-embed-shell.c | 47 +++++++++++++++++++++++++++++++++++++----------
 1 file changed, 37 insertions(+), 10 deletions(-)

commit ef048267656323f27a7b340ffcafb98029bc100e
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Sun Dec 7 17:20:56 2014 +0100

    ephy-file-helpers: fix ephy_file_delete_dir_recursively()
    
    The directory iterator is not advanced.

 lib/ephy-file-helpers.c | 1 +
 1 file changed, 1 insertion(+)

commit 580e933e6cc0596068317c3d0ba1b7f21af18724
Author: Bernd Homuth <dev@hmt.im>
Date:   Sat Dec 6 10:28:19 2014 +0000

    Updated German translation

 po/de.po | 349 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 174 insertions(+), 175 deletions(-)

commit 09e8bb63368e58b022526c846eb9d1bb8cc976a2
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Thu Dec 4 09:51:51 2014 +0000

    Updated Turkish translation

 po/tr.po | 598 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 389 insertions(+), 209 deletions(-)

commit 4f9a7ef36c77cdfef7dc45b2e6359c70518d9b79
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Tue Dec 2 21:48:09 2014 +0000

    help: add a page about tabs, bug 705585
    
    Tabs are important, so better to have a separate page about them.

 help/C/browse-tab.page | 43 +++++++++++++++++++++++++++++++++++++++++++
 help/C/browse-web.page | 21 +++++++++++++--------
 help/Makefile.am       |  1 +
 3 files changed, 57 insertions(+), 8 deletions(-)

commit 331e681810d9b0af3ed66318f6c11e52e069616e
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Dec 1 11:17:12 2014 +0100

    file-helpers: Fix ephy_file_delete_dir_recursively when an error is given
    
    The implementation is checking the given error pointer to check if an
    error ocurred, instead of checking the pointer pointed by the passed in
    error. This means that it is always failing when an error is passed, but
    it works in most of the cases when NULL is passed because the return value
    of functions is checked too. There's still a problem when
    g_file_enumerator_next_file() returns NULL, because in case of error we
    are considering it as end of enumeration. We can simplify the
    implementation and the caller code, by using the stdio API instead of
    GIO, since we know we are dealing with local files anyway and we are
    using the synchronous API.

 lib/ephy-file-helpers.c        | 92 +++++++++++++++++++++---------------------
 lib/ephy-file-helpers.h        |  2 +-
 lib/ephy-web-app-utils.c       |  7 +---
 tests/ephy-file-helpers-test.c | 17 +++-----
 4 files changed, 55 insertions(+), 63 deletions(-)

commit 947c026218fd687722035b9cf39063b92c9f5239
Author: Hajime Taira <htaira@redhat.com>
Date:   Sun Nov 30 09:20:11 2014 +0900

    l10n: Update Japanese translation

 po/ja.po | 1249 +++++++++++++-------------------------------------------------
 1 file changed, 248 insertions(+), 1001 deletions(-)

commit 446abf992fb66ac56622287b47082ba8e0f8f8ad
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Nov 28 22:42:58 2014 +0000

    Updated Hungarian translation

 po/hu.po | 420 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 207 insertions(+), 213 deletions(-)

commit 9ba4f00ba1caa5e89538c2201e0cf642cb5213cc
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Nov 27 10:12:19 2014 +0100

    web-extension: Make the overview work again
    
    I removed the code that creates the EphyWebOverview by mistake in a
    previous patch.

 embed/web-extension/ephy-web-extension.c | 16 +++++++++++++
 embed/web-extension/ephy-web-overview.c  | 39 --------------------------------
 2 files changed, 16 insertions(+), 39 deletions(-)

commit 34cc4b0162752735c08461e970b3b6bbd560b50b
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Wed Nov 26 22:33:44 2014 +0000

    help: add link to gnome-help for proxy, bug 604194

 help/C/proxy.page | 28 ++++++++++++++++++++++++++++
 help/Makefile.am  |  3 ++-
 2 files changed, 30 insertions(+), 1 deletion(-)

commit eced17dbf2d704ab015783f9a29e53a4b3162150
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Nov 26 11:39:54 2014 +0100

    Updated Czech translation

 po/cs.po | 353 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 177 insertions(+), 176 deletions(-)

commit b4c12fa62175f7826f0ded862807f52a58aeff8b
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Nov 24 11:20:26 2014 +0100

    embed: Use a custom local storage directory for epiphany
    
    Instead of using the default path. This ensures private profiles don't
    leave data in the user home directory.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738720

 embed/ephy-embed-shell.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 3806c195d631cc55f2cef64c4be6bc733745e730
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Nov 24 11:09:12 2014 +0100

    Do not use the default WebKitWebContext
    
    Create a global WebKitWebContext in EphyEmbedShell and use it everywhere
    as the default web context. This is required to provide constructor
    properties to the web context.

 embed/ephy-about-handler.c           |   4 +-
 embed/ephy-download.c                |   3 +-
 embed/ephy-embed-prefs.c             |  12 ++--
 embed/ephy-embed-shell.c             |  57 +++++++++++------
 embed/ephy-embed-shell.h             |   1 +
 embed/ephy-web-view.c                |   7 ++-
 lib/widgets/ephy-location-entry.c    |  15 ++++-
 src/Makefile.am                      |   2 +
 src/bookmarks/ephy-bookmark-action.c |   6 +-
 src/bookmarks/ephy-bookmarks.c       |   6 +-
 src/clear-data-dialog.c              |   5 +-
 src/cookies-dialog.c                 |   4 +-
 src/ephy-completion-model.c          |   3 +-
 src/ephy-navigation-history-action.c |   3 +-
 src/ephy-shell.c                     | 115 +++++++++++++++--------------------
 src/window-commands.c                |   3 +-
 16 files changed, 141 insertions(+), 105 deletions(-)

commit 865735b61b0f29285f8769423d6c25dbcdfa50ca
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Nov 24 15:04:29 2014 +0100

    about-apps: Use user script message instead of forms to delete web apps

 embed/ephy-about-handler.c | 20 +++++++++++++-------
 embed/ephy-embed-shell.c   | 20 ++++++++++++++++++++
 src/ephy-window.c          | 32 --------------------------------
 3 files changed, 33 insertions(+), 39 deletions(-)

commit d6dbc20b01eacccdf419916a13cf0ec18b43951d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Nov 21 15:44:17 2014 +0100

    Use user a script message instead of a DBus signal for FormAuthDataSaveConfirmationRequired

 embed/ephy-embed-shell.c                   | 75 ++++++++++++++++++------------
 embed/ephy-web-extension-proxy.c           | 47 -------------------
 embed/ephy-web-extension-proxy.h           |  5 --
 embed/ephy-web-view.c                      |  4 +-
 embed/web-extension/ephy-embed-form-auth.c |  6 +++
 embed/web-extension/ephy-embed-form-auth.h |  1 +
 embed/web-extension/ephy-web-extension.c   | 46 ++++++++----------
 7 files changed, 74 insertions(+), 110 deletions(-)

commit 701b6a959b4aaeff49941e88101f82159a76655f
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Nov 21 15:44:17 2014 +0100

    Use user a script message instead of a DBus signal for AllowTLSCertificate

 embed/ephy-embed-shell.c                 |  61 ++++++++--------
 embed/ephy-embed-utils.c                 |  11 +++
 embed/ephy-embed-utils.h                 |   1 +
 embed/ephy-web-extension-proxy.c         |  26 -------
 embed/ephy-web-extension-proxy.h         |   2 -
 embed/ephy-web-view.c                    |   7 +-
 embed/web-extension/ephy-web-extension.c | 117 -------------------------------
 7 files changed, 46 insertions(+), 179 deletions(-)

commit cc89a4362495bf7d102b3d325e6fa1098a2d29b4
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Nov 21 14:58:23 2014 +0100

    Use user a script message instead of a DBus signal for RemoveItemFromOverview

 embed/ephy-embed-shell.c                 | 46 ++++++----------
 embed/ephy-embed-utils.c                 | 22 ++++++++
 embed/ephy-embed-utils.h                 |  2 +
 embed/web-extension/ephy-web-extension.c | 48 -----------------
 embed/web-extension/ephy-web-overview.c  | 91 --------------------------------
 src/resources/overview.html              |  2 +-
 6 files changed, 42 insertions(+), 169 deletions(-)

commit daae78496b86553668c9dc3de917603c9b2469c0
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Nov 24 13:59:43 2014 +0100

    Bump WebKitGTK+ requirements to 2.7.2
    
    We will use the new API added in 2.7.2 like script messages.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1cec8d103a84703a4c3a6daccef359ae8ee29b88
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Nov 17 11:58:56 2014 +0200

    Updated Greek translation

 po/el.po | 331 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 178 insertions(+), 153 deletions(-)

commit 4ced571a65f4f20b6ee764a1a5640d04a204cf87
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Nov 13 19:40:04 2014 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 304 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 154 insertions(+), 150 deletions(-)

commit 0a25504d62caf6abed0eb005c635eb1cf329145a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Nov 4 18:36:25 2014 +0200

    Updated Hebrew translation

 po/he.po | 221 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 110 insertions(+), 111 deletions(-)

commit 78bca325fddbfa85eb0bcca9ec1275676cc580f8
Author: Timo Jyrinki <timo@debian.org>
Date:   Mon Nov 3 18:52:48 2014 +0200

    Change Finnish translation team web page to l10n.gnome.org

 po/fi.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 27950b8e45cfcdecb5a6be64b4d3a52ed4b5d405
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Oct 27 10:23:08 2014 +0100

    Updated Galician translations

 po/gl.po | 275 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 137 insertions(+), 138 deletions(-)

commit 17fbf049b0d805281cde37793fdeb6f62c3a61f7
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Oct 25 17:56:54 2014 +0000

    Added Kazakh translation

 po/LINGUAS |    1 +
 po/kk.po   | 2740 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2741 insertions(+)

commit beac9824708c1822837dc83b03d6e3a686056d17
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Oct 24 19:16:14 2014 +0200

    Updated Spanish translation

 po/es.po | 305 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 165 insertions(+), 140 deletions(-)

commit 8b6ce907be578b176573447c374a8816ad42a8f3
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Mon Oct 20 21:32:42 2014 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 279 +++++++++++++++++++++++++++++-------------------------------
 1 file changed, 137 insertions(+), 142 deletions(-)

commit 8cf88469248e1637373a92f9f4c98eddc9e6e413
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Mon Oct 20 13:53:42 2014 +0100

    Minor string improvements
    
    Mostly use "website" instead of "web site", as is the case in
    documentation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738866

 data/org.gnome.epiphany.gschema.xml |  2 +-
 embed/ephy-web-view.c               | 20 ++++++++++----------
 src/resources/prefs-dialog.ui       |  2 +-
 3 files changed, 12 insertions(+), 12 deletions(-)

commit b58fb28c5db6cae6ed9a2a8cdbbefccf37244bcd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Oct 16 21:04:47 2014 -0500

    Add workaround for missing view source mode
    
    We'll open the source in the default text editor instead
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738475

 src/window-commands.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 83501f8a7febd6301b2b96a5d7d89822137fd48b
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Oct 14 19:01:30 2014 +0300

    [release] 3.14.1

 NEWS         | 14 ++++++++++++++
 configure.ac |  2 +-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit bee54f0b2e072c0d7f7bf4d0bd5148c36e504206
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Tue Oct 14 18:46:54 2014 +0300

    tests: disable broken cases
    
    A page that doesn't load won't have a proper uri, so disable that.
    The about pages, not sure yet, but there's a release to make.

 tests/ephy-web-view-test.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit a225e8b1724cd69fdd6aa1f63c83165255bbed41
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Oct 13 17:31:05 2014 +0200

    window: Ignore new-window-in-tabs setting in application mode
    
    There are no tabs in application mode.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=712402

 src/ephy-window.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit ee17d6e8c10bf99914cbef8eb2e8aa0c4a33d11f
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Oct 10 14:56:35 2014 +0200

    app-mode: Make sure external links are openend in the default web browser
    
    Some sites like gmail, open external links by first opening an empty
    window and then loading the URL in that window. In that case we need to
    wait until we know the URL to decide whether to show the window, or open
    the request in the default browser.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658395

 src/ephy-window.c | 52 ++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 44 insertions(+), 8 deletions(-)

commit 76cd91aa585cf62b3966ec8dfee2c7cdd52e24f1
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Oct 10 12:49:29 2014 +0200

    window: Simplify the code to open external uris in default browser when in app mode
    
    Use ephy_embed_utils_urls_have_same_origin() to check if the target URL
    is external or not and ephy_file_open_uri_in_default_browser() to open
    the URL in the default browser if it's external.

 src/ephy-window.c | 38 ++++++--------------------------------
 1 file changed, 6 insertions(+), 32 deletions(-)

commit 10f7127750d2717a1a252f37ac97bf9ea73c06ac
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Oct 10 12:48:22 2014 +0200

    embed: Add ephy_embed_utils_urls_have_same_origin()
    
    Helper function to check if two URLs have the same origin

 embed/ephy-embed-utils.c | 22 ++++++++++++++++++++++
 embed/ephy-embed-utils.h |  2 ++
 2 files changed, 24 insertions(+)

commit d7b9f5b6875b40fb00ff3ba1029c6285c3edf78f
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Fri Oct 10 11:54:52 2014 +0200

    file-helpers: Add ephy_file_open_uri_in_default_browser()
    
    Helper function to open the given uri in the default browser

 lib/ephy-file-helpers.c | 33 +++++++++++++++++++++++++++++++++
 lib/ephy-file-helpers.h |  3 +++
 2 files changed, 36 insertions(+)

commit 27506cc00cff60ad4fb5a9ffb23f1d7383a1f3f0
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Tue Oct 14 08:51:57 2014 +0200

    app-mode: Use shared secondary process model for web app mode
    
    External links that might broke the app are opened in a external
    browser, so better use a single web process for all web app windows.

 embed/ephy-embed-shell.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit ea9e139acb7a6373627e980b9beb8efad8d0d8e2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Aug 27 09:08:34 2014 -0500

    Do not show weird context menu entries in app mode
    
    "Inspect element" and "Send Link by Email" should not be shown in app
    mdoe.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=699584

 src/ephy-window.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 4d7a442320f2e4d87871fd0003617ddd25331b55
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Oct 5 11:19:18 2014 +0000

    Updated Italian translation

 po/it.po | 608 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 370 insertions(+), 238 deletions(-)

commit de11d95eeb0f33951f9346ab8f6a5d2feef2b9fb
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Fri Oct 3 15:44:26 2014 +0300

    ephy-embed-shell: make history read-only in incognito mode
    
    Whatever is searched in a incognito session shouldn't go to the
    history, not even if this will be deleted afterwards.

 embed/ephy-embed-shell.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2211cd3861f70b55a9dae27dffeb82419859c499
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Oct 1 14:38:06 2014 -0500

    Add support for mhtml files to desktop file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737738

 data/epiphany.desktop.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d7f645fc24b91546f882a044a704fe8e4644ffed
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Thu Oct 2 12:30:16 2014 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 277 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 131 insertions(+), 146 deletions(-)

commit fd4357f9a78cb7c77d7c375e778457f9015be78b
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 30 17:53:21 2014 -0500

    Use a GtkMenuButton for the window menu and remove EphyPageMenuAction
    
    This fixes the style of the button when it is active with GTK+ 3.14.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737688

 src/Makefile.am             |   2 -
 src/ephy-page-menu-action.c | 181 --------------------------------------------
 src/ephy-page-menu-action.h |  55 --------------
 src/ephy-toolbar.c          |  17 ++---
 src/ephy-window.c           |  31 +++-----
 5 files changed, 19 insertions(+), 267 deletions(-)

commit bce2687b65a580d68c0b24ed19d9b6a560369b3b
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Sep 28 17:14:03 2014 +0300

    Updated Latvian translation

 po/lv.po | 669 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 409 insertions(+), 260 deletions(-)

commit e5cca91e78ec76f1f75cd4d1ee73c2df8bc7b57b
Author: Andres Gomez <agomez@igalia.com>
Date:   Fri Sep 26 19:02:31 2014 +0300

    configure.ac: bump libsoup version requirement
    
    Since the update in some deprecated soup API, we
    are using new one only present sin 2.48.0, so
    bump to it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737452

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2061b1ff027c1394ebfcb414dcfc903c0cd11e07
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Sep 24 21:58:07 2014 -0500

    Fix download failure when overwriting file
    
    When using e.g. Save Image As, if the user tries to save a download over
    an existing file we prompt him to confirm that he wishes to delete the
    original file. Then the download fails. Actually delete the original
    file instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=737329

 src/popup-commands.c | 4 ++++
 1 file changed, 4 insertions(+)

commit e4dc1c20fd92cc9681ae76d980c9a9cec9f469e6
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Thu Sep 25 00:27:33 2014 +0800

    update zh_CN translation

 po/zh_CN.po | 162 +++++++++++++++++++-----------------------------------------
 1 file changed, 52 insertions(+), 110 deletions(-)

commit f108b846e13be50e7153149d456a2f27c13e8756
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Sep 24 11:29:49 2014 +0300

    [release] 3.14.0

 NEWS         | 14 ++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 16 insertions(+), 2 deletions(-)

commit 00d381ccea1f84ad0dc38c684a24f1afc9d18f6d
Author: Tong Hui <tonghuix@gmail.com>
Date:   Tue Sep 23 09:46:31 2014 +0800

    update zh_CN translation

 po/zh_CN.po | 558 ++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 397 insertions(+), 161 deletions(-)

commit f05dd0783b399682e40e12eb2194569ea54f2388
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Tue Sep 23 00:06:29 2014 +0200

    Updated Dutch translation

 po/nl.po | 1371 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 777 insertions(+), 594 deletions(-)

commit 1a058adfd1e925adbec1b6d619a5ded19a91b9dd
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Mon Sep 22 08:24:15 2014 -0500

    Revert "search provider: open result in default browser"
    
    This reverts commit faaa23cb8956336fcd16258fd74ab9f69c01e438.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720245

 src/ephy-search-provider.c | 27 +++++----------------------
 1 file changed, 5 insertions(+), 22 deletions(-)

commit aa4ffa42a4d455669b6a647b12921b2870145f0f
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Sep 22 08:34:07 2014 +0300

    Updated Greek translation

 help/el/el.po | 379 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 243 insertions(+), 136 deletions(-)

commit 370b692d80588377dbb65a90c326bc15cab564b9
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Mon Sep 22 00:15:23 2014 +0300

    Updated Hebrew translation

 po/he.po | 60 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 30 insertions(+), 30 deletions(-)

commit e5e9514bb61f998903ba755b5dc57161dac14e5f
Author: Maria  Mavridou <mavridou@gmail.com>
Date:   Sun Sep 21 13:35:07 2014 +0000

    Updated Greek translation

 po/el.po | 97 +++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 53 insertions(+), 44 deletions(-)

commit 1e1d48da8e403fb9254d16fbfafbf3c08f39d381
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Sep 21 10:31:48 2014 +0000

    Updated Hungarian translation

 help/hu/hu.po | 381 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 243 insertions(+), 138 deletions(-)

commit 427e573668b54e75b3d4065477b4bafbb5e90bc9
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sat Sep 20 16:25:33 2014 -0500

    appdata: update screenshot

 data/screenshot.png | Bin 202287 -> 242537 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 943fc094a23e182f605f2f6da06d0c610afe46d9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Sep 20 19:35:00 2014 +0200

    Updated Spanish translation

 help/es/es.po | 377 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 240 insertions(+), 137 deletions(-)

commit fca98c44014bdc4783c17a0f81e070f090f16665
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Sep 20 19:40:54 2014 +0200

    Revert "Updated Spanish translation"
    
    This reverts commit 72be94914491c550717e393ce84318bfd6875ebd.

 help/es/es.po | 377 +++++++++++++++++++++-------------------------------------
 1 file changed, 137 insertions(+), 240 deletions(-)

commit 210874449a6b5bea3cbf647df49b0cf44bc8d770
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Sep 20 19:40:22 2014 +0200

    Revert "Updated Spanish translation"
    
    This reverts commit bf4fe4abc98d83b8da63ba61f8687aa6fae51dc6.

 help/es/es.po | 2700 +++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 1640 insertions(+), 1060 deletions(-)

commit bf4fe4abc98d83b8da63ba61f8687aa6fae51dc6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Sep 20 19:35:12 2014 +0200

    Updated Spanish translation

 help/es/es.po | 2700 ++++++++++++++++++++++-----------------------------------
 1 file changed, 1060 insertions(+), 1640 deletions(-)

commit 72be94914491c550717e393ce84318bfd6875ebd
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Sep 20 19:35:00 2014 +0200

    Updated Spanish translation

 help/es/es.po | 377 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 240 insertions(+), 137 deletions(-)

commit 9be3d650b927e0a9c72eb4add4d6cd9f207d6f7e
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Sep 20 16:33:55 2014 +0300

    Updated Ukrainian translation

 po/uk.po | 177 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 92 insertions(+), 85 deletions(-)

commit 56d33d80c618c40e0afeb19eb7ac3fa52ffe7bbb
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Sep 18 14:53:08 2014 +0200

    ephy-web-view: Use the new WebKitWebView::load-failed-with-tls-errors API
    
    It receives the failing URI instead of the host now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736898

 configure.ac          |  2 +-
 embed/ephy-web-view.c | 22 ++++++++++++----------
 2 files changed, 13 insertions(+), 11 deletions(-)

commit 57d502e2a8fe428957b42be0a79a4977cbc739a7
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Sep 18 18:46:53 2014 +0200

    ephy-shell: Do not try to resume the session in application mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736922

 src/ephy-shell.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 4901184fb986026196978cc49d0fb46af373299d
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Thu Sep 18 19:50:12 2014 +0200

    Updated Serbian translation

 po/sr.po       | 640 ++++++++++++++++++++++++++++++++++++---------------------
 po/sr@latin.po | 640 ++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 802 insertions(+), 478 deletions(-)

commit d7fdc36532c1a74c3acfeebb7540c54acc88e9ff
Author: Guillaume Bernard <filorin@gmx.com>
Date:   Thu Sep 18 13:21:56 2014 +0000

    Updated French translation

 help/fr/fr.po | 474 +++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 453 insertions(+), 21 deletions(-)

commit a0953d9cacb99f0f6d409ec5f20ef08e59914a94
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:   Wed Sep 17 20:40:22 2014 +0100

    Review the keyboard shortcut help page

 help/C/keyboard-shortcut.page | 126 +++++++++++++++++-------------------------
 1 file changed, 51 insertions(+), 75 deletions(-)

commit b76a6f44d1086cdb200a60e8f5e0d2040ea5c4d1
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Sep 17 17:45:32 2014 +0300

    [release] 3.13.91

 NEWS         | 12 ++++++++++++
 configure.ac |  2 +-
 2 files changed, 13 insertions(+), 1 deletion(-)

commit d6b767b7745c886c80ed82c5250ba1c11d2e8179
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Sun Sep 7 09:59:15 2014 -0500

    Fix partially-typed address appearing in subtitle
    
    Now that the EphyLocationController manages the address of the
    EphyTitleBox in addition to the EphyLocationEntry, it's no longer safe
    to update its address when the address of the location entry changes,
    since we want the title box to display the address of the current page,
    not whatever the user has typed into the location entry. This is easy to
    fix by simply not updating the location controller's address with the
    location entry's address.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732713

 src/ephy-location-controller.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 9c27a268226e44dd338020c1e6f4f3dda66e5f19
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Sep 17 15:02:54 2014 +0200

    ephy-web-view: Update the navigation flags only when the bf list changes
    
    Instead of doing it manually.

 embed/ephy-web-view.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit b40c2172a6663619d9ecf216d5e0ed4556c1cac0
Author: Benjamin Steinwender <b@stbe.at>
Date:   Tue Sep 16 22:38:33 2014 +0000

    Updated German translation

 po/de.po | 616 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 376 insertions(+), 240 deletions(-)

commit dd0cd1ebc07c61ef35566295602af6dff58ebb53
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   Tue Sep 16 20:21:07 2014 +0200

    Updated Danish translation

 po/da.po | 511 +++++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 354 insertions(+), 157 deletions(-)

commit 6edc2373f3314d15c249396ce7ff1af85fe03ca3
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Sep 16 06:52:16 2014 +0000

    Updated Slovak translation

 po/sk.po | 1869 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 987 insertions(+), 882 deletions(-)

commit 0fabc7207087808e331f1d7e93f04279954c5ddd
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun Sep 14 19:18:58 2014 +0000

    Updated Hungarian translation

 po/hu.po | 612 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 426 insertions(+), 186 deletions(-)

commit 3dbfc59ae62a583c2f57449a679f5c2791b4febb
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:   Sun Sep 14 15:46:29 2014 +0200

    Updated Polish translation

 po/pl.po | 489 ++++++++++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 343 insertions(+), 146 deletions(-)

commit 09b7ecd9292cc432af80a50493554339b5f71af7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Sep 12 23:36:08 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 714 ++++++++++++++++++++++++++----------------------------
 1 file changed, 347 insertions(+), 367 deletions(-)

commit 0e70e653319d4c1a1df346d1176e800fd9a9b146
Author: Gil Forcada <gforcada@gnome.org>
Date:   Fri Sep 12 23:36:02 2014 +0200

    [l10n] Update Catalan translation

 po/ca.po | 717 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 349 insertions(+), 368 deletions(-)

commit faaa23cb8956336fcd16258fd74ab9f69c01e438
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Sep 11 16:05:08 2014 -0500

    search provider: open result in default browser
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720245

 src/ephy-search-provider.c | 27 ++++++++++++++++++++++-----
 1 file changed, 22 insertions(+), 5 deletions(-)

commit da2cb027b8ed22fce148605418caf606e95390ea
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Sep 11 18:49:22 2014 -0500

    search-provider: tweak default timeout
    
    As recommended by Giovanni in bug #736449

 src/ephy-search-provider.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b1d6d699e4394393da009a6f0e58f58fc6501e2
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Sep 10 22:01:35 2014 -0500

    search-provider: don't live forever
    
    Search providers are supposed to quit after running for a few seconds.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735912

 src/ephy-search-provider.c | 4 ++++
 1 file changed, 4 insertions(+)

commit e7521ae78d17442cdab2c4b820edc3218bd5f636
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Wed Sep 10 21:04:43 2014 -0500

    ephy-history-service: do not open a transaction in read-only mode
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735912

 lib/history/ephy-history-service.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 8d13ed7517ff5d9639c61c2b804c8ea59d815ed6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 11 00:24:13 2014 +0200

    ephy-web-view: Fix potential crashers
    
    The "form-auth-data-save-requested" signal was not properly disconnected
    as the g_signal_handlers_disconnect_by_func() was using the wrong
    object.
    
    The "allow-tls-certificate" signal was not disconnected at all.
    
    The "notify::favicon" was needlessly disconnected (it will be
    disconnected when the web view disappears).
    
    And the "cleared" signal for the history service was never disconnected.
    
    g_signal_connect_object() should ensure that all the signals we connect
    to that have the web view as data are disconnected when the web view is
    destroyed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735706

 embed/ephy-web-view.c | 22 +++++++++-------------
 1 file changed, 9 insertions(+), 13 deletions(-)

commit d5e3f0b6dceaf22d03cc13ef633a93317100be6b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Aug 7 22:09:00 2014 +0200

    ephy-uri-helpers: Small fixes in tracking removal code
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734453

 lib/ephy-uri-helpers.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1cbf46caf2a8339731bcd20ff76f2fb1cb7eb90b
Author: Robert Roth <robert.roth.off@gmail.com>
Date:   Fri May 2 13:23:22 2014 +0300

    Update sensitivity for move tab to left/right based on position. https://bugzilla.gnome.org/show_bug.cgi?id=708524
    
    Disable move to left action for the first tab and disable move to right
    action for the last tab.

 src/ephy-window.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 725bde5fbbe6049da5f81d06643c0bb40cef5398
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Sep 10 19:19:51 2014 +0300

    Updated Lithuanian translation

 po/lt.po | 260 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 174 insertions(+), 86 deletions(-)

commit 55a94682cd46ad3d4c24e9cc1565009e56f619e1
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Tue Sep 9 10:29:51 2014 -0500

    Rename new window action
    
    This needs to be named "new-window" and not "new" if we want GNOME Shell
    3.14 to allow the user to open multiple windows from the dock.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736332

 src/ephy-shell.c                           | 2 +-
 src/resources/epiphany-application-menu.ui | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ad03cc858ae98ad458863e13fcef2a39a1ab14b4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Sep 10 12:17:19 2014 +0200

    Updated Spanish translation

 po/es.po | 52 +++++++++++++++++++---------------------------------
 1 file changed, 19 insertions(+), 33 deletions(-)

commit 5e521213f1c7c50a0c2f37ec6c22aafb25b15f64
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Wed Sep 10 08:43:18 2014 +0000

    Updated Oriya translation

 po/or.po | 5433 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 3057 insertions(+), 2376 deletions(-)

commit 8e6d566b1db3ed666cb854d99f6aee5be15a5058
Author: František Zatloukal <Zatloukal.Frantisek@gmail.com>
Date:   Tue Sep 9 21:45:58 2014 +0200

    Updated Czech translation

 po/cs.po | 582 ++++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 391 insertions(+), 191 deletions(-)

commit 053c7039339fd7467aa89fde7fa138fd672c5da3
Author: ChangSeok Oh <changseok@gnome.org>
Date:   Tue Sep 9 16:06:01 2014 +0900

    Updated Korean translation

 po/ko.po | 620 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 340 insertions(+), 280 deletions(-)

commit 310efb2963d3b84712981afbdc2fc8c8b94c63f9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 8 22:00:00 2014 +0200

    Updated Galician translations

 po/gl.po | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit fecf8df7fc4ed689dad366de9057a3121c1ac363
Author: Michael Catanzaro <mcatanzaro@igalia.com>
Date:   Thu Aug 21 17:52:28 2014 -0500

    Don't accidentally delete adblock filters
    
    The uri-tester is created from the web extension. When created, it opens
    ~/.config/epiphany/adblock/filters.list for reading in
    uri_tester_load_filters(), then calls uri_tester_set_filters() with the
    read filters. uri_tester_set_filters() unconditionally calls
    uri_tester_save_filters(), so we immediately write back what we read to
    filters.list. But this is racy: if you are starting multiple web
    processes at the same time, such as when opening epiphany with multiple
    saved tabs, then one process may open the file for reading after another
    has opened it for writing (which clears the file) but before the filters
    have been written back to the file, so now one UriTester instance has an
    empty list of filters, and it will immediately write back that empty list.
    
    The original list is completely doomed because the only time we ever
    write to filters.list is immediately after the filters are read, since
    we do not support modifying filters. That's right, these writes are
    NEVER necessary, so let's just remove them completely so we can be
    completely sure the problem is gone.
    
    Now we have an ununsued uri_tester_save_filters() function, but I don't
    want to get rid of it quite yet as I do want to support at least a
    couple different types of filters in the future (for tracking
    protection). Also, there are already other unused functions here as
    well, so one more is no difference for now, but refactor is imminent.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=697329

 embed/uri-tester.c | 2 --
 1 file changed, 2 deletions(-)

commit e7d760be7b1c67259e2a70d6ef459899450e7dbb
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Sun Sep 7 18:07:36 2014 +0300

    Updated Bulgarian translation

 po/bg.po | 1859 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1027 insertions(+), 832 deletions(-)
